<?php include_once("../include/config.php"); ?>

<!DOCTYPE html>

<html lang="en">

<head>

<meta charset="utf-8">

<meta http-equiv="X-UA-Compatible" content="IE=edge">

<title><?php echo TITLE; ?></title>

<meta name="viewport" content="width=device-width, initial-scale=1">

<link rel="stylesheet" href="<?php echo ROOT ?>/dist/bootstrap/css/bootstrap.min.css">

<link rel="icon" type="image/png" sizes="16x16" href="<?php echo ROOT ?>/dist/img/favicon-16x16.png">

<link href="https://fonts.googleapis.com/css?family=Poppins:300,400,500,600,700" rel="stylesheet">

<link rel="stylesheet" href="<?php echo ROOT ?>/dist/css/style.css">

<link rel="stylesheet" href="<?php echo ROOT ?>/dist/css/font-awesome/css/font-awesome.min.css">

<link rel="stylesheet" href="<?php echo ROOT ?>/dist/css/et-line-font/et-line-font.css">

<link rel="stylesheet" href="<?php echo ROOT ?>/dist/css/themify-icons/themify-icons.css">

<link rel="stylesheet" href="<?php echo ROOT ?>/dist/css/simple-lineicon/simple-line-icons.css">

<link rel="stylesheet" href="<?php echo ROOT ?>/dist/plugins/formwizard/jquery-steps.css">

<style>

	.form-control {  height: 27px;  font-size: 12px !important; }

	select.form-control:not([size]):not([multiple]) { height: 27px; padding: 0px 8px; }

	.form-group { margin-bottom: 3px; }

</style>

</head>

<body class="skin-blue sidebar-mini">

<div class="wrapper boxed-wrapper">

 	<?php include_once("../include/header.php"); ?>

  

  	<div class="content-wrapper"> 

		<!-- Content Header (Page header) -->

		<div class="content-header sty-one">

		  <h1>Add Bill</h1>

		  <ol class="breadcrumb">

			<li><a href=".">Home</a></li>

			<li><i class="fa fa-angle-right"></i> Add Bill</li>

		  </ol>

		</div>

		

		<div class="content">

		  

		  

		  <div class="row m-t-0">

			<div class="col-lg-12">

			  <div class="card">

				<div class="card-header bg-blue">

				  	<h5 class="m-b-0">Bill Details</h5>

				</div>

				<?php

					$result = mysqli_query($con, "SELECT * FROM `bl_bill` ORDER BY id DESC LIMIT 1");

					while($ary = mysqli_fetch_array($result)) {

						$lastInc = $ary['id'];

					}

					

					if ($lastInc == '') {

						$lastInc = sprintf("%03d",1);

						$bill_no = $lastInc;

					} else {

						$counter = sprintf("%03d",$lastInc+1);

						$bill_no = $counter;

					}

				?>

				<div class="card-body">

				  <form action="" name="form" method="post" class="form-horizontal form-bordered">

						<div class="form-body">

						  	<div class="form-group row">

								<label class="control-label col-md-2">Select Company</label>

								<div class="col-md-4">

							  		<select name="company_id" class="form-control"  required>

										<option value="">-Select-</option>

										<?php 

											$sql2	=	"SELECT * FROM bl_company WHERE delStatus='0'";

											$res2	=	mysqli_query($con, $sql2) or die(mysqli_error($con));

											while($row2=mysqli_fetch_array($res2)){

										?>

										<option value="<?php echo $row2['id'] ?>"><?php echo $row2['company'] ?></option>

										<?php } ?>

									</select>

							  	</div>

							  	<?php /*?><label class="control-label  col-md-2">Bill Type</label>

								<div class="col-md-4">

							  		<select name="bill_type" class="form-control">

										<option value="">-Select-</option>

										<option value="1">With GST</option>

										<option value="1">Without GST</option>

									</select>

							  	</div><?php */?>

								

								<label class="control-label  col-md-2">Bill No.</label>

								<div class="col-md-4">

							  		<input name="bill_no" class="form-control" type="text" value="<?php echo $bill_no; ?>" autocomplete="off" required>

							  	</div>

						  	</div>

							<div class="form-group row view_details">

								

							  	

								<label class="control-label col-md-2">Date</label>

								<div class="col-md-4">

							  		<input name="invoice_date" class="form-control" value="" type="date" autocomplete="off"  required>

							  	</div>

								<label class="control-label col-md-2">Select Customer</label>

								<div class="col-md-4">

							  		<select name="customer_id" id="customer_id" class="form-control" required  onChange="add_customer(this.value)">

										<option value="">-Select-</option>

										<?php 

											$sql2	=	"SELECT * FROM bl_customer WHERE delStatus='0'";

											$res2	=	mysqli_query($con, $sql2) or die(mysqli_error($con));

											while($row2=mysqli_fetch_array($res2)){

										?>

										<option value="<?php echo $row2['id'] ?>"><?php echo ($row2['company_name']=="" ? $row2['name'] : $row2['company_name']) ?></option>

										<?php } ?>

										<option value="add"  style="color:#FF3300; font-weight:700;">Add New + </option>

									</select>

							  	</div>

								

						  	</div>

							

							<?php /*?><div class="form-group row view_details">

								<label class="control-label col-md-2">Select Customer</label>

								<div class="col-md-4">

							  		<select name="customer_id" id="customer_id" class="form-control" required  onChange="add_customer(this.value)">

										<option value="">-Select-</option>

										<?php 

											$sql2	=	"SELECT * FROM bl_customer WHERE delStatus='0'";

											$res2	=	mysqli_query($con, $sql2) or die(mysqli_error($con));

											while($row2=mysqli_fetch_array($res2)){

										?>

										<option value="<?php echo $row2['id'] ?>"><?php echo ($row2['company_name']=="" ? $row2['name'] : $row2['company_name']) ?></option>

										<?php } ?>

										<option value="add"  style="color:#FF3300; font-weight:700;">Add New + </option>

									</select>

							  	</div>

							  	

								<label class="control-label col-md-2">Delivery Note</label>

								<div class="col-md-4">

							  		<input name="delivery_note" class="form-control" type="text" autocomplete="off">

							  	</div>

						  	</div><?php */?>

							

							<?php /*?><div class="form-group row">

								

							  	<label class="control-label  col-md-2">Mode of Payment</label>

								<div class="col-md-4">

							  		<select name="payment_mode" class="form-control">

										<option value="">-Select-</option>

										<option value="1">Cash</option>

										<option value="2">DD</option>

										<option value="3">Cheque</option>

										<option value="4">RTGS</option>

										<option value="">None</option>

									</select>

							  	</div>

								<label class="control-label col-md-2">Reference No. </label>

								<div class="col-md-4">

							  		<input name="ref_no" class="form-control" type="text" autocomplete="off">

							  	</div>

						  	</div>

							

							<div class="form-group row">

								

							  	<label class="control-label  col-md-2">Reference Date</label>

								<div class="col-md-4">

							  		<input name="ref_date" class="form-control" type="date" autocomplete="off">

							  	</div>

								<label class="control-label  col-md-2">Other Reference</label>

								<div class="col-md-4">

							  		<input name="other_ref" class="form-control" type="text" autocomplete="off">

							  	</div>

								

						  	</div>

							

							<div class="form-group row">

								<label class="control-label col-md-2">Buyer's Order No</label>

								<div class="col-md-4">

							  		<input name="buyers_order" class="form-control" type="text" autocomplete="off">

							  	</div>

							  	<label class="control-label  col-md-2">Dated</label>

								<div class="col-md-4">

							  		<input name="dated" class="form-control" type="date" autocomplete="off">

							  	</div>

						  	</div>

							

							

							<div class="form-group row">

								<label class="control-label col-md-2">Dispatch Doc No.</label>

								<div class="col-md-4">

							  		<input name="dispatch_doc" class="form-control" type="text" autocomplete="off">

							  	</div>

							  	<label class="control-label  col-md-2">Delivery Note Date</label>

								<div class="col-md-4">

							  		<input name="delivery_note_date" class="form-control" type="text" autocomplete="off">

							  	</div>

						  	</div>

							

							<div class="form-group row">

								<label class="control-label col-md-2">Dispatched through</label>

								<div class="col-md-4">

							  		<select name="dispatched_through" class="form-control">

										<option value="">-Select-</option>

										<option value="Road">Road</option>

										<option value="Airline">Airline</option>

										<option value="Train">Train</option>

										<option value="">None</option>

									</select>

							  	</div>

							  	<label class="control-label  col-md-2">Destination</label>

								<div class="col-md-4">

							  		<input name="destination" class="form-control" type="text" autocomplete="off">

							  	</div>

						  	</div>

							

							<div class="form-group row">

								<label class="control-label col-md-2">Bill of Lading/LR-RR No.</label>

								<div class="col-md-4">

							  		<input name="bill_lading" class="form-control" type="text" autocomplete="off">

							  	</div>

							  	<label class="control-label  col-md-2">Motor Vehicle No.</label>

								<div class="col-md-4">

							  		<input name="motor_no" class="form-control" type="text" autocomplete="off">

							  	</div>

						  	</div>

							

							<div class="form-group row">

								<label class="control-label col-md-2">Terms of Delivery</label>

								<div class="col-md-4">

							  		<textarea name="terms_delivery" class="form-control height_50" ></textarea>

							  	</div>

							  	<label class="control-label col-md-2">Declaration</label>

								<div class="col-md-4">

							  		<textarea name="declaration" class="form-control height_50" ></textarea>

							  	</div>

						  	</div><?php */?>

							

					  					  

										  

							<div class="form-group row">

								<div class="col-md-12">

									<table class="table table-bordered new_tab" id="table1">

										<thead>

											<tr>

												<th class="text_center" width="3%">#</th>

												<th width="30%">Description</th>

												<th width="10%">Quantity</th>

												<th width="10%">Rate</th>

												<th width="10%">Discount(%)</th>

												<th width="10%">Total</th>

											</tr>

										</thead>

										<tbody>

											<tr >

												<input type="hidden" id="num" value="2">

												<td class="text_center">1</td>

												<td><input type="text" name="products[]" id="products_1" class="form-control products" onChange="view_date(this)"  autocomplete="off"></td>

												

												<td><input type="text" name="qty[]" id="qty_1" value="1" class="form-control"  onChange="calc_qty(this)" autocomplete="off"></td>

												<td><input type="text" name="rate[]" id="rate_1" value="0" class="form-control"  onChange="calc_qty(this)" autocomplete="off"></td>

												

												<td><input type="text" name="discount[]" id="discount_1" value="0" class="form-control"  onChange="calc_qty(this)" autocomplete="off"></td>

												<input type="hidden" name="dic_amt[]" id="dic_amt_1" value="0" class="form-control" autocomplete="off" >

												

												<td><input type="text" name="amount[]" id="amount_1" value="0" class="form-control total"  onChange="calc_qty(this)" autocomplete="off">

												<input type="hidden" name="gst_percentage[]" id="gst_percentage_1" value="0" class="form-control"  onChange="calc_qty(this)">

												<input type="hidden" name="gst_amt[]" id="gst_amt_1" value="0" class="form-control gst_amt"  onChange="calc_qty(this)">

												</td>

											</tr>

											

										</tbody>

										<tfoot>

											<input type="hidden" name="tot_amt" id="tot_amt" value="0" class="form-control" >

											<?php /*?><input type="hidden" name="tot_gst_amt" id="tot_gst_amt" value="0" class="form-control" >

											<input type="hidden" name="tot_cgst_amt" id="tot_cgst_amt" value="0" class="form-control" >

											<input type="hidden" name="tot_sgst_amt" id="tot_sgst_amt" value="0" class="form-control" >

											<input type="hidden" name="final_cost" id="final_cost" value="0" class="form-control" ><?php */?>

											<input type="hidden" name="sum_words" class="sum_words form-control" >

											<tr>

												<td colspan="5" class="text_right">Total</td>

												<td id="tot_amount" class="text_bold"></td>

											</tr>

											<?php /*?><tr>

												<td colspan="6" class="text_right">CGST </td>

												<td id="tot_cgst" class="text_bold"></td>

											</tr>

											<tr>

												<td colspan="6" class="text_right">SGST </td>

												<td id="tot_sgst" class="text_bold"></td>

											</tr><?php */?>

											

											<?php /*?><tr>

												<td colspan="6" class="text_right">Grand Total</td>

												<td id="grand_total" class="text_bold"></td>

											</tr><?php */?>

										</tfoot>

									</table>

							  	</div>

						  	</div>	

										  

						</div>

						

						

						

						

						<div class="form-actions">

						  	<div class="row">

								<div class="col-md-12">

									<div class="row">

										<div class="col-md-12">

										  	<button type="submit"  name="submit_bill" class="btn btn-success"> Submit</button>

										  	<button type="button" class="btn btn-inverse" onClick="window.location='view_bill'">Cancel</button>

										</div>

									</div>

								</div>

						  	</div>

						</div>

					

				  </form>

				  

				  	<?php

							if(isset($_POST['submit_bill'])){

								$company_id		=	$_POST['company_id'];

								$customer_id	=	$_POST['customer_id'];

								$bill_no		=	$_POST['bill_no'];

								/*$delivery_note	=	$_POST['delivery_note'];

								$payment_mode	=	$_POST['payment_mode'];

								

								$ref_no			=	$_POST['ref_no'];

								$ref_date		=	$_POST['ref_date'];

								$other_ref		=	$_POST['other_ref'];

								$buyers_order	=	$_POST['buyers_order'];

								$dated			=	$_POST['dated'];

								$dispatch_doc	=	$_POST['dispatch_doc'];

								

								$delivery_note_date	=	$_POST['delivery_note_date'];

								$dispatched_through	=	$_POST['dispatched_through'];

								$destination	=	$_POST['destination'];

								$bill_lading	=	$_POST['bill_lading'];

								$motor_no		=	$_POST['motor_no'];

								

								$terms_delivery	=	$_POST['terms_delivery'];

								$declaration	=	$_POST['declaration'];

								

								$tot_gst_amt	=	$_POST['tot_gst_amt'];

								$tot_cgst_amt	=	$_POST['tot_cgst_amt'];

								

								$tot_sgst_amt	=	$_POST['tot_sgst_amt'];

								$final_cost		=	$_POST['final_cost'];

								$sum_words		=	$_POST['sum_words'];*/

								

								$date			=	date("Y-m-d");

								$time			=	date("H:i:s");

								

								$tot_amt		=	$_POST['tot_amt'];

								$sum_words		=	$_POST['sum_words'];

								$invoice_date	=	$_POST['invoice_date'];

								

								//$tax_sum_words	=	$_POST['tax_sum_words'];

								

								

								$sql2			=	"SELECT * FROM bl_bill WHERE bill_no='$bill_no'";

								$res2			=	mysqli_query($con, $sql2) or die(mysqli_error());

								$num2			=	mysqli_num_rows($res2); 

								

								if($num2=="0"){

																

									$sql			=	"INSERT INTO bl_bill (company_id, customer_id, bill_no, invoice_date, tot_amt, sum_words, date, time, delStatus) VALUES ('$company_id', '$customer_id', '$bill_no', '$invoice_date', '$tot_amt', '$sum_words', '$date', '$time', '0')";

									$res			=	mysqli_query($con, $sql) or die(mysqli_error($con));

									$a_id			=	mysqli_insert_id($con);

									

									$products		=	$_POST['products'];

									$qty			=	$_POST['qty'];

									$rate			=	$_POST['rate'];

									$amount			=	$_POST['amount'];

									$discount		=	$_POST['discount'];

									$dic_amt		=	$_POST['dic_amt'];

									

									

									$count				=	COUNT($products);	

									

									for($i="0"; $i<=$count; $i++){

									

										$products1			=	mysqli_real_escape_string($con, $products[$i]);

										$qty1				=	mysqli_real_escape_string($con, $qty[$i]);

										$rate1				=	mysqli_real_escape_string($con, $rate[$i]);

										$discount1			=	mysqli_real_escape_string($con, $discount[$i]);

										$dic_amt1			=	mysqli_real_escape_string($con, $dic_amt[$i]);			

										$amount1			=	mysqli_real_escape_string($con, $amount[$i]);					

										

										if($products1!=""){

											$sql	=	"INSERT INTO bl_bill_items (in_id, products, qty, rate, discount, dic_amt, amount, delStatus) VALUES ('$a_id', '$products1',  '$qty1', '$rate1', '$discount1', '$dic_amt1', '$amount1', '0')";

											$res	=	mysqli_query($con, $sql) or die(mysqli_error($con));

										}

									}

									

									echo "<script>alert('Added!')</script>";

									echo "<script>window.location='add_bill'</script>";

								}

							}

						?>	  

				  

						</div>

			  		</div>

				</div>

		  	</div>

		</div>

	</div>

	  

  	<?php include_once("../include/footer.php"); ?>

</div>

<div class="view_products"></div>









<script src="<?php echo ROOT ?>/dist/js/jquery.min.js"></script> 

<script src="<?php echo ROOT ?>/dist/bootstrap/js/bootstrap.min.js"></script> 

<script src="<?php echo ROOT ?>/dist/js/adminkit.js"></script>

<script src="<?php echo ROOT ?>/dist/plugins/formwizard/jquery-steps.js"></script> 

<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.16.0/jquery.validate.min.js"></script> 





<link rel="stylesheet" href="//code.jquery.com/ui/1.13.0/themes/base/jquery-ui.css">

<script src="https://code.jquery.com/ui/1.13.0/jquery-ui.js"></script>



<script>

	$( function() {

		var availableTags = [

		<?php

			$sql2	=	"SELECT * FROM bl_products WHERE delStatus='0'";

			$res2	=	mysqli_query($con, $sql2) or die(mysqli_error());

			while($row2=mysqli_fetch_array($res2)){

		?>

		"<?php echo $row2['product']; ?>",

		<?php } ?>

		];

		$( ".products" ).autocomplete({

		source: availableTags

		});

	} );

  	</script>

	<script>

		$('#table1 tbody').on('keydown', 'input', function (e) {

			

			var index 	= 	$('#num').val();

			$lastTr 	= 	$('tr:last', $('#table1 tbody')),

			$lastTd 	= 	$('td:last', $lastTr);

			if (($(e.target).closest('td')).is($lastTd)) {		

				index++;

				

				var new_x	=	index - 1;

				

				$("#table1 tbody").append('<tr><td class="text_center">'+new_x+'</td><td><input type="text" name="products[]" id="products_'+new_x+'" class="form-control products" onChange="view_date(this)" ></td><td><input type="text" name="qty[]" id="qty_'+new_x+'" value="1" class="form-control"  onChange="calc_qty(this)"></td><td><input type="text" name="rate[]" id="rate_'+new_x+'" value="0" class="form-control"  onChange="calc_qty(this)"></td><td><input type="text" name="discount[]" id="discount_'+new_x+'" value="0" class="form-control"  onChange="calc_qty(this)"><input type="hidden" name="dic_amt[]" id="dic_amt_'+new_x+'" value="0" class="form-control" ></td><td><input type="text" name="amount[]" id="amount_'+new_x+'" value="0" class="form-control total"  onChange="calc_qty(this)"><input type="hidden" name="gst_percentage[]" id="gst_percentage_'+new_x+'" value="0" class="form-control"  onChange="calc_qty(this)"><input type="hidden" name="gst_amt[]" id="gst_amt_'+new_x+'" value="0" class="form-control gst_amt"  onChange="calc_qty(this)"></td></tr>');

				$('#num').val(index);

				

				$( function() {

					var availableTags = [

					<?php

						$sql2	=	"SELECT * FROM bl_products WHERE delStatus='0'";

						$res2	=	mysqli_query($con, $sql2) or die(mysqli_error());

						while($row2=mysqli_fetch_array($res2)){

					?>

					"<?php echo $row2['product']; ?>",

					<?php } ?>

					];

					$( ".products" ).autocomplete({

					source: availableTags

					});

				});

				

			}

			

		});		

			

		function calc_qty(element){			

			var x		=	element.parentNode.parentNode.rowIndex;

			var qty		=	$('#qty_'+x).val();

			var amount	=	$('#rate_'+x).val();

			

			var tot		=	parseInt(qty) * parseInt(amount);

			//alert(x);

			

			

			

			//Discount

			var dis		=	$('#discount_'+x).val();

			var amt		=	tot;			

			var dis		=	parseInt(amt) * parseInt(dis)/100;			

			$('#dic_amt_'+x).val(dis);

			

			var tot		=	parseInt(tot) - parseInt(dis);

			

			$('#amount_'+x).val(tot);

			

			

			//GST 	

			var	amt		=	$('#amount_'+x).val();

			var	tax		=	$('#gst_percentage_'+x).val();

			var gst		=	amt/100 * tax;				

			

			$('#gst_amt_'+x).val(gst);

						

			var calculated_total_sum = 0;

			$("#table1 .total").each(function () {

			var get_textbox_value = $(this).val();

			if ($.isNumeric(get_textbox_value)) { calculated_total_sum += parseFloat(get_textbox_value); } });

			

			var calculated_total_sum = parseFloat(calculated_total_sum).toFixed(2);

			$("#tot_amount").html(calculated_total_sum);

			$("#tot_amt").val(calculated_total_sum);

			

			

		

			

			

			var calculated_total_sum2 = 0;

			$("#table1 .gst_amt").each(function () {

			var get_textbox_value2 = $(this).val();

			if ($.isNumeric(get_textbox_value2)) { calculated_total_sum2 += parseFloat(get_textbox_value2); } });

			

			var calculated_total_sum2 = parseFloat(calculated_total_sum2).toFixed(2);

			$("#tot_gst").html(calculated_total_sum2);

			$("#tot_gst_amt").val(calculated_total_sum2);

			

			var cgst	=	calculated_total_sum2/2;

			var cgst	=	parseFloat(cgst).toFixed(2);

			$("#tot_cgst").html(cgst);

			$('#tot_cgst_amt').val(cgst);

			

			var sgst	=	calculated_total_sum2/2;

			var sgst	=	parseFloat(sgst).toFixed(2);

			$("#tot_sgst").html(sgst);

			$('#tot_sgst_amt').val(sgst);

			

			var tot_amt			=	$('#tot_amt').val();

			var tot_gst_amt		=	$('#tot_gst_amt').val();

			

			var f_amt			=	parseInt(tot_amt) + parseInt(tot_gst_amt);

			

			var f_amt			=	parseFloat(f_amt).toFixed(2);

			

			$('#final_cost').val(f_amt);

			$("#grand_total").html(f_amt);

			

			testSkill();

			

		}

		

		

		

		function calc_qty2(id){			

			var x		=	element.parentNode.parentNode.rowIndex;

			var qty		=	$('#qty_'+x).val();

			var amount	=	$('#rate_'+x).val();

			

			var tot		=	parseInt(qty) * parseInt(amount);

			//alert(x);

			

			

			

			//Discount

			var dis		=	$('#discount_'+x).val();

			var amt		=	tot;			

			var dis		=	parseInt(amt) * parseInt(dis)/100;			

			$('#dic_amt_'+x).val(dis);

			

			var tot		=	parseInt(tot) - parseInt(dis);

			

			$('#amount_'+x).val(tot);

			

			//GST 	

			var	amt		=	$('#amount_'+x).val();

			var	tax		=	$('#gst_percentage_'+x).val();

			var gst		=	amt/100 * tax;				

			

			$('#gst_amt_'+x).val(gst);

			

			

			var calculated_total_sum = 0;

			$("#table1 .total").each(function () {

			var get_textbox_value = $(this).val();

			if ($.isNumeric(get_textbox_value)) { calculated_total_sum += parseFloat(get_textbox_value); } });

			

			var calculated_total_sum = parseFloat(calculated_total_sum).toFixed(2);

			$("#tot_amount").html(calculated_total_sum);

			$("#tot_amt").val(calculated_total_sum);

			

			

			

			var calculated_total_sum2 = 0;

			$("#table1 .gst_amt").each(function () {

			var get_textbox_value2 = $(this).val();

			if ($.isNumeric(get_textbox_value2)) { calculated_total_sum2 += parseFloat(get_textbox_value2); } });

			

			var calculated_total_sum2 = parseFloat(calculated_total_sum2).toFixed(2);

			$("#tot_gst").html(calculated_total_sum2);

			$("#tot_gst_amt").val(calculated_total_sum2);

			

			

			//tax cgst, sgst

			var cgst	=	calculated_total_sum2/2;

			var cgst	=	parseFloat(cgst).toFixed(2);

			$("#tot_cgst").html(cgst);

			$('#tot_cgst_amt').val(cgst);

			

			var sgst	=	calculated_total_sum2/2;

			var sgst	=	parseFloat(sgst).toFixed(2);

			$("#tot_sgst").html(sgst);

			$('#tot_sgst_amt').val(sgst);

			

			

			

			var tot_amt			=	$('#tot_amt').val();

			var tot_gst_amt		=	$('#tot_gst_amt').val();

			

			var f_amt			=	parseInt(tot_amt) + parseInt(tot_gst_amt);

			

			var f_amt			=	parseFloat(f_amt).toFixed(2);

			

			$('#final_cost').val(f_amt);

			$("#grand_total").html(f_amt);

			

			testSkill();

		}

		

		

		

		

	

		function view_date(element){

			var x		=	element.parentNode.parentNode.rowIndex;

			var products	=	$('#products_'+x).val();

			//alert(products);

			

			$.ajax({

				url		:	'ajax.php',

				type	:	'POST',

				data	:	{ 'products_name' : products, 'var_x' : x },

				success	:	function(data) {

					//alert(data);

					$('.view_products').html(data);

					

				}

			});

			

		}

	

	

		function add_customer(id){

			

			if(id=="add"){

				//alert(id);		

				$(".add_cus").modal('show');

			}		

			

		}

		

		function add_customer_details(){		

		

			

			

				

			var company_name	=	$('#company_name').val();

			if(company_name==""){

				alert('Please enter company name!!!');

				return false;

			}

			

			

			var gst_no			=	$('#gst_no').val();

			var state			=	$('#state').val();

			var state_code		=	$('#state_code').val();

			var email			=	$('#email').val();

			var phone			=	$('#phone').val();

			var address			=	$('#address').val();

			var name			=	$('#name').val();

			

			$.ajax({

				url		:	'ajax.php',

				type	:	'POST',

				data	:	{ 'company_name' : company_name, 'name' : name, 'gst_no' : gst_no, 'state' : state, 'state_code' : state_code, 'email' : email, 'phone' : phone, 'address' : address },

				success	:	function(data) {

					//alert(data);

					$('.view_details').html(data);

				}

			});

		}

	</script>

	

	

	<script>

	

	//American Numbering System	

	var th = ['', 'Thousand', 'Million', 'Billion', 'Trillion'];	

	var dg = ['Zero', 'One', 'Two', 'Three', 'Four', 'Five', 'Six', 'Seven', 'Eight', 'Nine'];	

	var tn = ['Ten', 'Eleven', 'Twelve', 'Thirteen', 'Fourteen', 'Fifteen', 'Sixteen', 'Seventeen', 'Eighteen', 'Nineteen'];	

	var tw = ['Twenty', 'Thirty', 'Forty', 'Fifty', 'Sixty', 'Seventy', 'Eighty', 'Ninety'];	

	

	function testSkill() {

		

		var s 	=	$('#tot_amt').val();	

		var s	=	parseFloat(s).toFixed(0);

		//alert(s);	

		s = s.toString();

		s = s.replace(/[\, ]/g, '');

		if (s != parseFloat(s)) return 'not a number';	

		var x = s.indexOf('.');	

		if (x == -1) x = s.length;

		if (x > 15) return 'too big';	

		var n = s.split('');	

		var str = '';	

		var sk = 0;	

		for (var i = 0; i < x; i++) {	

			if ((x - i) % 3 == 2) {	

				if (n[i] == '1') {	

					str += tn[Number(n[i + 1])] + ' ';	

					i++;	

					sk = 1;	

				} else if (n[i] != 0) {	

					str += tw[n[i] - 2] + ' ';	

					sk = 1;	

				}	

			} else if (n[i] != 0) {	

				str += dg[n[i]] + ' ';

				if ((x - i) % 3 == 0) str += 'Hundred ';	

				sk = 1;	

			}	

			if ((x - i) % 3 == 1) {	

				if (sk) str += th[(x - i - 1) / 3] + ' ';	

				sk = 0;	

			}

		}

		if (x != s.length) {

			var y = s.length;

			str += 'point ';	

			for (var i = x + 1; i < y; i++) str += dg[n[i]] + ' ';	

		}	

		var x	=	 str.replace(/\s+/g, ' ');	

		//alert(x);	

		$('.sum_words').val(x+"Rupees Only");	

	    return str.replace(/\s+/g, ' ');	

	   

	}

	

	

	

	

	

</script>

	

<div class="modal fade add_cus" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">

	<div class="modal-dialog" role="document">

		<div class="modal-content">

			<div class="modal-header">

				<h5 class="modal-title" id="exampleModalLabel">Add Customer</h5>

				<button type="button" class="close" data-dismiss="modal" aria-label="Close">

					<span aria-hidden="true">&times;</span>

				</button>

			</div>

			<div class="modal-body">

				<form name="form1" method="post" action="" >

					<table class="table n_tan">	

						

						<tr>

							<td width="40%">Company </td>

							<td><input type="text" name="company_name" id="company_name" value="" class="form-control" autocomplete="off"></td>

						</tr>

						

						<tr>

							<td width="40%">Contact Person </td>

							<td><input type="text" name="name" id="name" value="" class="form-control" autocomplete="off"></td>

						</tr>

						

						<tr>

							<td width="40%">GST No.</td>

							<td><input type="text" name="gst_no" id="gst_no" value="" class="form-control" autocomplete="off"></td>

						</tr>

					

						<tr>

							<td>State</td> 

							<td><input type="text" name="state" id="state" value="" class="form-control" autocomplete="off"></td>

						</tr>

						<tr>

							<td>State Code</td>

							<td><input type="text" name="state_code" id="state_code" value="" class="form-control" autocomplete="off"></td>

						</tr>

						<tr>

							<td>Email</td>

							<td><input type="text" name="email" id="email" value="" class="form-control" autocomplete="off"></td>

						</tr>

						<tr>

							<td>Phone</td>

							<td><input type="text" name="phone" id="phone" value="" class="form-control" autocomplete="off"></td>

						</tr>

						<tr>

							<td>Address</td>

							<td>

								<textarea name="address" id="address" class="form-control"></textarea>

							</td>

						</tr>

					

					</table>

				</form>

			</div>

			<div class="modal-footer">

				<button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>

				<button type="button" class="btn btn-primary" onClick="return add_customer_details()">Add</button>

			</div>

		</div>

	</div>

</div>	

	

	





</body>

</html>

