<?php include_once("../include/config.php"); ?>
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title><?php echo TITLE; ?></title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="stylesheet" href="<?php echo ROOT ?>/dist/bootstrap/css/bootstrap.min.css">
<link rel="icon" type="image/png" sizes="16x16" href="<?php echo ROOT ?>/dist/img/favicon-16x16.png">
<link href="https://fonts.googleapis.com/css?family=Poppins:300,400,500,600,700" rel="stylesheet">
<link rel="stylesheet" href="<?php echo ROOT ?>/dist/css/style.css">
<link rel="stylesheet" href="<?php echo ROOT ?>/dist/css/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" href="<?php echo ROOT ?>/dist/css/et-line-font/et-line-font.css">
<link rel="stylesheet" href="<?php echo ROOT ?>/dist/css/themify-icons/themify-icons.css">
<link rel="stylesheet" href="<?php echo ROOT ?>/dist/css/simple-lineicon/simple-line-icons.css">
<link rel="stylesheet" href="<?php echo ROOT ?>/dist/plugins/formwizard/jquery-steps.css">
</head>
<body class="skin-blue sidebar-mini">
<div class="wrapper boxed-wrapper">
 	<?php include_once("../include/header.php"); ?>
  
  	<div class="content-wrapper"> 
		<!-- Content Header (Page header) -->
		<div class="content-header sty-one">
		  <h1>Add Products</h1>
		  <ol class="breadcrumb">
			<li><a href=".">Home</a></li>
			<li><i class="fa fa-angle-right"></i> Add Products</li>
		  </ol>
		</div>
		
		<div class="content">
		  
		  
		  <div class="row m-t-3">
			<div class="col-lg-12">
			  <div class="card">
				<div class="card-header bg-blue">
				  <h5 class="m-b-0">Product Details</h5>
				</div>
				
				<script>
					function view_products(id){
						$.ajax({
							url		:	'ajax.php',
							type	:	'POST',
							data	:	{ 'products_id' : id },
							success	:	function(data) {
								//alert(data);
								$('#product_id').html(data);
								
							}
						});
					}
					
					function product_details(id){
						$.ajax({
							url		:	'ajax.php',
							type	:	'POST',
							data	:	{ 'products_det' : id },
							success	:	function(data) {
								//alert(data);
								$('#products_det').html(data);
								
							}
						});
					}
					
					function calc(){
						var unit_price	=	$('#unit_price').val();
						var margin		=	$('#margin').val();
						
						var tot			=	parseInt(unit_price) + parseInt(margin);
						$('#price').val(tot);
						
					}
				</script>
				<div id="products_det"></div>
				<div class="card-body">
				  <form action="" name="form" method="post" class="form-horizontal form-bordered">
						<div class="form-body">
						
							<div class="form-group row">
								<label class="control-label col-md-2">Type</label>
								<div class="col-md-4">
							  		<label><input type="radio" name="product_type" value="Service"> Service </label> &nbsp;
									<label><input type="radio" name="product_type" value="Goods" checked> Goods </label>
							  	</div>		
							</div>
						
						  	<div class="form-group row">
								<label class="control-label col-md-2">Select Company</label>
								<div class="col-md-4">
							  		<select name="company_id" class="form-control" onChange="view_products(this.value)">
										<option value="">-Select-</option>
										<?php 
											$sql2	=	"SELECT * FROM bl_company WHERE delStatus='0'";
											$res2	=	mysqli_query($con, $sql2) or die(mysqli_error($con));
											while($row2=mysqli_fetch_array($res2)){
										?>
										<option value="<?php echo $row2['id'] ?>" <?php if($row2['id']=="1"){ ?> selected <?php } ?>><?php echo $row2['company'] ?></option>
										<?php } ?>
									</select>
							  	</div>		
							</div>
							<div class="form-group row">					  	
							  	<label class="control-label  col-md-2">Products</label>
								<div class="col-md-4">
							  		<?php /*?><select name="product_id" id="product_id" class="form-control" onChange="product_details(this.value)">
										<option value="">-Select-</option>
									</select><?php */?>
                                    <input name="product" id="product" class="form-control" type="text" autocomplete="off">
							  	</div>
						  	</div>
							<div class="form-group row">
								<label class="control-label col-md-2">Make</label>
								<div class="col-md-4">
							  		<input name="make" id="make" class="form-control" type="text" autocomplete="off">
							  	</div>
							</div>
							
							<div class="form-group row">
								<label class="control-label col-md-2">Model</label>
								<div class="col-md-4">
							  		<input name="model" id="model" class="form-control" type="text" autocomplete="off">
							  	</div>
							</div>
							<div class="form-group row">			
								<label class="control-label col-md-2">HSN Code</label>
								<div class="col-md-4">
							  		<input name="hsn_code" id="hsn_code" class="form-control" type="text" autocomplete="off">
							  	</div>
							  	
						  	</div>
							
							<div class="form-group row">
								<label class="control-label  col-md-2">Unit Price</label>
								<div class="col-md-4">
							  		<input name="unit_price" id="unit_price" class="form-control" type="text" value="0" required autocomplete="off" onChange="calc()">
							  	</div>
							</div>
							<div class="form-group row">			
								<label class="control-label  col-md-2">Margin</label>
								<div class="col-md-4">
							  		<input name="margin" id="margin" class="form-control" type="text" value="0"  required autocomplete="off" onChange="calc()">
							  	</div>								
						  	</div>
							
							<div class="form-group row">
								<label class="control-label  col-md-2">Price</label>
								<div class="col-md-4">
							  		<input name="price" id="price" class="form-control" type="text"  required autocomplete="off" onChange="calc()">
							  	</div>
							</div>
							<div class="form-group row">			
								<label class="control-label col-md-2">Tax(%)</label>
								<div class="col-md-4">
							  		<input name="tax" id="tax" class="form-control" type="text"  required autocomplete="off">
							  	</div>							  						  	
						  	</div>					  					  
						</div>
						
						<div class="form-actions">
						  	<div class="row">
								<div class="col-md-12">
									<div class="row">
										<div class="col-md-12">
										  	<button type="submit"  name="submit_form" class="btn btn-success"> Submit</button>
										  	<button type="button" onClick="window.location='view_products'"  class="btn btn-inverse">Cancel</button>
										</div>
									</div>
								</div>
						  	</div>
						</div>
					
				  </form>
				  
				  	<?php
						if(isset($_POST['submit_form'])){
							$company_id			=	$_POST['company_id'];
							$product_id			=	$_POST['product_id'];
							
							/*$sql2				=	"SELECT * FROM bl_purchase WHERE id='$product_id' ORDER BY id DESC";
							$res2				=	mysqli_query($con, $sql2) or die(mysqli_error($con));
							$row2				=	mysqli_fetch_array($res2); */
							
							$product			=	$_POST['product'];
							
							$make				=	$_POST['make'];
							$model				=	$_POST['model'];
							
							$hsn_code			=	$_POST['hsn_code'];
							
							$unit_price			=	$_POST['unit_price'];
							$margin				=	$_POST['margin'];
							
							$price				=	$_POST['price'];							
							$tax				=	$_POST['tax'];
							
							$product_type		=	$_POST['product_type'];
							
							$sql	=	"INSERT INTO bl_products (product_type, company_id, product_id, product, make, model, hsn_code, unit_price, margin, price, tax, delStatus) VALUES ('$product_type', '$company_id', '$product', '$product', '$make', '$model', '$hsn_code', '$unit_price', '$margin', '$price', '$tax', '0')";
							$res	=	mysqli_query($con, $sql) or die(mysqli_error($con));
							
							
							$sql	=	"INSERT INTO bl_products_history (type, product_type, company_id, product_id, product, make, model, hsn_code, unit_price, margin, price, tax, delStatus) VALUES ('Add', '$product_type', '$company_id', '$product_id', '$product', '$make', '$model', '$hsn_code', '$unit_price', '$margin', '$price', '$tax', '0')";
							$res	=	mysqli_query($con, $sql) or die(mysqli_error($con));
							
							echo "<script>alert('Added!')</script>";
							echo "<script>window.location='add_products'</script>";
							
						}
				  	?>			  
				  
						</div>
			  		</div>
				</div>
		  	</div>
		</div>
	</div>
	  
  	<?php include_once("../include/footer.php"); ?>
</div>

<script src="<?php echo ROOT ?>/dist/js/jquery.min.js"></script> 
<script src="<?php echo ROOT ?>/dist/bootstrap/js/bootstrap.min.js"></script> 
<script src="<?php echo ROOT ?>/dist/js/adminkit.js"></script>
<script src="<?php echo ROOT ?>/dist/plugins/formwizard/jquery-steps.js"></script> 
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.16.0/jquery.validate.min.js"></script> 



</body>
</html>
