<?php include_once("../include/config.php"); ?>
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title><?php echo TITLE; ?></title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="stylesheet" href="<?php echo ROOT ?>/dist/bootstrap/css/bootstrap.min.css">
<link rel="icon" type="image/png" sizes="16x16" href="<?php echo ROOT ?>/dist/img/favicon-16x16.png">
<link href="https://fonts.googleapis.com/css?family=Poppins:300,400,500,600,700" rel="stylesheet">
<link rel="stylesheet" href="<?php echo ROOT ?>/dist/css/style.css">
<link rel="stylesheet" href="<?php echo ROOT ?>/dist/css/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" href="<?php echo ROOT ?>/dist/css/et-line-font/et-line-font.css">
<link rel="stylesheet" href="<?php echo ROOT ?>/dist/css/themify-icons/themify-icons.css">
<link rel="stylesheet" href="<?php echo ROOT ?>/dist/css/simple-lineicon/simple-line-icons.css">
<link rel="stylesheet" href="<?php echo ROOT ?>/dist/plugins/formwizard/jquery-steps.css">
</head>
<body class="skin-blue sidebar-mini">
<div class="wrapper boxed-wrapper">
 	<?php include_once("../include/header.php"); ?>
  
  	<div class="content-wrapper"> 
		<!-- Content Header (Page header) -->
		<div class="content-header sty-one">
		  <h1>Edit Purchase</h1>
		  <ol class="breadcrumb">
			<li><a href=".">Home</a></li>
			<li><i class="fa fa-angle-right"></i> Edit Purchase</li>
		  </ol>
		</div>
		
		<div class="content">
		  
		  
		  <div class="row m-t-3">
			<div class="col-lg-12">
			  <div class="card">
				<div class="card-header bg-blue">
				  	<h5 class="m-b-0">Purchase Details</h5>
				</div>
				<?php
					
					$id		=	$_GET['id'];
					
					$sql	=	"SELECT * FROM bl_purchase WHERE id='$id'";
					$res	=	mysqli_query($con, $sql) or die(mysqli_error($con));
					$row	=	mysqli_fetch_array($res);
					
				?>
				<div class="card-body">
				  <form action="" name="form" method="post" class="form-horizontal form-bordered">
						<div class="form-body">
						  	<div class="form-group row">
								<label class="control-label col-md-2">Select Company</label>
								<div class="col-md-4">
							  		<select name="company_id" class="form-control">
										<option value="">-Select-</option>
										<?php 
											$sql2	=	"SELECT * FROM bl_company WHERE delStatus='0'";
											$res2	=	mysqli_query($con, $sql2) or die(mysqli_error($con));
											while($row2=mysqli_fetch_array($res2)){
										?>
										<option value="<?php echo $row2['id'] ?>" <?php if($row2['id']==$row['company_id']){ ?> selected="selected" <?php } ?>><?php echo $row2['company'] ?></option>
										<?php } ?>
									</select>
							  	</div>
							</div>
							<div class="form-group row">
							  	<label class="control-label  col-md-2">Vendor Name</label>
								<div class="col-md-4">
							  		<input name="vendor_name" class="form-control" type="text" value="<?php echo $row['vendor_name'] ?>" autocomplete="off">
							  	</div>
						  	</div>
							
							<div class="form-group row">
								<label class="control-label col-md-2">Vendor Code</label>
								<div class="col-md-4">
							  		<input name="vendor_code" class="form-control" type="text" value="<?php echo $row['vendor_code'] ?>" autocomplete="off">
							  	</div>
							</div>
							<div class="form-group row">
							  	<label class="control-label  col-md-2">Product</label>
								<div class="col-md-4">
							  		<input name="product" class="form-control products" type="text" value="<?php echo $row['product']; ?>" autocomplete="off">
							  	</div>
						  	</div>
							
							<div class="form-group row">
							  	<label class="control-label  col-md-2">Make</label>
								<div class="col-md-4">
							  		<input name="make" class="form-control" value="<?php echo $row['make'] ?>" type="text" autocomplete="off">
							  	</div>
						  	</div>
							
							<div class="form-group row">
								<label class="control-label col-md-2">Model</label>
								<div class="col-md-4">
							  		<input name="brand" class="form-control" type="text" value="<?php echo $row['brand'] ?>" autocomplete="off">
							  	</div>
							</div>
							<div class="form-group row">
							  	<label class="control-label  col-md-2">Invoice No.</label>
								<div class="col-md-4">
							  		<input name="invoice_no" class="form-control" type="text" value="<?php echo $row['invoice_no'] ?>" required autocomplete="off">
							  	</div>
						  	</div>
							
							<div class="form-group row">
								<label class="control-label col-md-2">HSN Code</label>
								<div class="col-md-4">
							  		<input name="hsn_code" class="form-control" type="text"  value="<?php echo $row['hsn_code'] ?>" required autocomplete="off">
							  	</div>
							</div>
							<div class="form-group row">
								<label class="control-label col-md-2">Unit Price</label>
								<div class="col-md-4">
							  		<input name="unit_price" class="form-control" type="text" value="<?php echo $row['unit_price'] ?>" required autocomplete="off">
							  	</div>
							  	
						  	</div>
							<div class="form-group row">
								<label class="control-label  col-md-2">Quantity</label>
								<div class="col-md-4">
							  		<input name="qty" class="form-control" type="text" value="<?php echo $row['qty'] ?>" autocomplete="off">
							  	</div>
							</div>
							<div class="form-group row">
								<label class="control-label col-md-2">Total Cost</label>
								<div class="col-md-4">
							  		<input name="billing_price" class="form-control" type="text" value="<?php echo $row['billing_price'] ?>" required autocomplete="off">
							  	</div>
						  	</div>
					  					  
						</div>
						
						<div class="form-actions">
						  	<div class="row">
								<div class="col-md-12">
									<div class="row">
										<div class="col-md-12">
										  	<button type="submit"  name="submit_form" class="btn btn-success"> Submit</button>
										  	<button type="button" onClick="window.location='view_purchase'"  class="btn btn-inverse">Cancel</button>
										</div>
									</div>
								</div>
						  	</div>
						</div>
					
				  </form>
				  
				  	<?php
						if(isset($_POST['submit_form'])){
						
						
							$company_id			=	$_POST['company_id'];
							$vendor_name		=	$_POST['vendor_name'];
							$vendor_code		=	$_POST['vendor_code'];
							$product			=	$_POST['product'];
							
							$make				=	$_POST['make'];
							$brand				=	$_POST['brand'];
							$invoice_no			=	$_POST['invoice_no'];							
							$billing_price		=	$_POST['billing_price'];
							$unit_price			=	$_POST['unit_price'];
							$qty				=	$_POST['qty'];
							$hsn_code			=	$_POST['hsn_code'];
							
							$sql	=	"UPDATE bl_purchase SET company_id='$company_id', vendor_name='$vendor_name', vendor_code='$vendor_code', product='$product', make='$make', brand='$brand', invoice_no='$invoice_no', hsn_code='$hsn_code', unit_price='$unit_price', billing_price='$billing_price', qty='$qty' WHERE id='$id'";
							$res	=	mysqli_query($con, $sql) or die(mysqli_error($con));
							
							
							$sql2	=	"INSERT INTO bl_purchase_history (type, company_id, vendor_name, vendor_code, product, make, brand, invoice_no,  hsn_code, unit_price, billing_price, qty, delStatus) VALUES ('Edit', '$company_id', '$vendor_name', '$vendor_code', '$product', '$make', '$brand', '$invoice_no', '$hsn_code', '$unit_price', '$billing_price', '$qty', '0')";
							$res2	=	mysqli_query($con, $sql2) or die(mysqli_error($con));
							
							
							echo "<script>alert('Updated!')</script>";
							echo "<script>window.location='view_purchase'</script>";
							
						}
				  	?>			  
				  
						</div>
			  		</div>
				</div>
		  	</div>
		</div>
	</div>
	  
  	<?php include_once("../include/footer.php"); ?>
</div>

<script src="<?php echo ROOT ?>/dist/js/jquery.min.js"></script> 
<script src="<?php echo ROOT ?>/dist/bootstrap/js/bootstrap.min.js"></script> 
<script src="<?php echo ROOT ?>/dist/js/adminkit.js"></script>
<script src="<?php echo ROOT ?>/dist/plugins/formwizard/jquery-steps.js"></script> 
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.16.0/jquery.validate.min.js"></script> 

<link rel="stylesheet" href="//code.jquery.com/ui/1.13.0/themes/base/jquery-ui.css">
<script src="https://code.jquery.com/ui/1.13.0/jquery-ui.js"></script>

<script>
	$( function() {
		var availableTags = [
		<?php
			$sql2	=	"SELECT * FROM bl_products WHERE delStatus='0'";
			$res2	=	mysqli_query($con, $sql2) or die(mysqli_error());
			while($row2=mysqli_fetch_array($res2)){
		?>
		"<?php echo $row2['product']; ?>",
		<?php } ?>
		];
		$( ".products" ).autocomplete({
		source: availableTags
		});
	});
</script>



</body>
</html>
