<?php include_once("../include/config.php"); ?>
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title><?php echo TITLE ?></title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="stylesheet" href="<?php echo ROOT ?>/dist/bootstrap/css/bootstrap.min.css">
<link rel="icon" type="image/png" sizes="16x16" href="<?php echo ROOT ?>/dist/img/favicon-16x16.png">
<link href="https://fonts.googleapis.com/css?family=Poppins:300,400,500,600,700" rel="stylesheet">
<link rel="stylesheet" href="<?php echo ROOT ?>/dist/css/style.css">
<link rel="stylesheet" href="<?php echo ROOT ?>/dist/css/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" href="<?php echo ROOT ?>/dist/css/et-line-font/et-line-font.css">
<link rel="stylesheet" href="<?php echo ROOT ?>/dist/css/themify-icons/themify-icons.css">
<link rel="stylesheet" href="<?php echo ROOT ?>/dist/css/simple-lineicon/simple-line-icons.css">
<link rel="stylesheet" href="<?php echo ROOT ?>/dist/plugins/datatables/css/dataTables.bootstrap.min.css">
</head>
<body class="skin-blue sidebar-mini">
<div class="wrapper boxed-wrapper">
  <?php include_once("../include/header.php"); ?>
  
  	<div class="content-wrapper"> 
    	<div class="content-header sty-one">
			<h1>View Company</h1>
			<ol class="breadcrumb">
				<li><a href=".">Home</a></li>
				<li><i class="fa fa-angle-right"></i> View Company</li>
			</ol>
    	</div>
    
		<div class="content">
		  	<div class="card">
		  		<div class="card-body">
					<div class="table-responsive">
						<table id="example2" class="table table-bordered table-hover" data-name="cool-table">
							<thead>
							  	<tr>
									<th>#</th>
									<th>Company</th>
									<th>GST</th>
									<th>Email</th>
									<th>Phone</th>
									<th class="text_center">Action</th>
							  	</tr>
							</thead>
							<tbody>
								<?php
									$sql	=	"SELECT * FROM bl_company WHERE delStatus='0'";
									$res	=	mysqli_query($con, $sql) or die(mysqli_error());
									$i		=	"1";
									while($row=mysqli_fetch_array($res)){
								?>
							  	<tr>
									<td><?php echo $i; ?></td>
									<td><?php echo $row['company']; ?></td>
									<td><?php echo ($row['gst']=="" ? "-" : $row['gst']); ?></td>
									<td><?php echo $row['email']; ?></td>
									<td><?php echo $row['phone']; ?></td>
									<td class="text_center">
										<a href="edit_company.php?id=<?php echo $row['id'] ?>&s=<?php echo $url ?>"> <i class="fa fa-pencil-square-o" aria-hidden="true"></i> </a> &nbsp; &nbsp;
										<a href="delete_company.php?id=<?php echo $row['id'] ?>&s=<?php echo $url ?>" onClick="return confirm('Are you sure?')"> <i class="fa fa-trash" aria-hidden="true"></i> </a>
									</td>
							  	</tr>
								<?php $i++; } ?>								
							</tbody>
							
					  	</table>
				  	</div>
		  		</div>
		  	</div>
		  
		</div>
  	</div>
 	<?php include_once("../include/footer.php"); ?>
</div>

<script src="<?php echo ROOT ?>/dist/js/jquery.min.js"></script>
<script src="<?php echo ROOT ?>/dist/plugins/popper/popper.min.js"></script>
<script src="<?php echo ROOT ?>/dist/bootstrap/js/bootstrap.min.js"></script>
<script src="<?php echo ROOT ?>/dist/js/adminkit.js"></script>
<script src="<?php echo ROOT ?>/dist/plugins/datatables/jquery.dataTables.min.js"></script> 
<script src="<?php echo ROOT ?>/dist/plugins/datatables/dataTables.bootstrap.min.js"></script> 
<script>
  $(function () {
    $('#example1').DataTable()
    $('#example2').DataTable({
      'paging'      : true,
      'lengthChange': false,
      'searching'   : false,
      'ordering'    : true,
      'info'        : true,
      'autoWidth'   : false
    })
  })
</script>
<script src="<?php echo ROOT ?>/dist/plugins/table-expo/filesaver.min.js"></script>
<script src="<?php echo ROOT ?>/dist/plugins/table-expo/xls.core.min.js"></script>
<script src="<?php echo ROOT ?>/dist/plugins/table-expo/tableexport.js"></script>
</body>
</html>
