-- phpMyAdmin SQL Dump
-- version 4.0.4
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: Mar 07, 2022 at 11:31 AM
-- Server version: 5.6.12-log
-- PHP Version: 5.4.12

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `nav_billing`
--
CREATE DATABASE IF NOT EXISTS `nav_billing` DEFAULT CHARACTER SET latin1 COLLATE latin1_swedish_ci;
USE `nav_billing`;

-- --------------------------------------------------------

--
-- Table structure for table `bl_bill`
--

CREATE TABLE IF NOT EXISTS `bl_bill` (
  `id` int(100) NOT NULL AUTO_INCREMENT,
  `company_id` varchar(100) NOT NULL,
  `customer_id` varchar(100) NOT NULL,
  `bill_no` varchar(100) NOT NULL,
  `invoice_date` varchar(100) NOT NULL,
  `tot_amt` varchar(100) NOT NULL,
  `sum_words` varchar(100) NOT NULL,
  `date` varchar(100) NOT NULL,
  `time` varchar(100) NOT NULL,
  `delStatus` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=6 ;

--
-- Dumping data for table `bl_bill`
--

INSERT INTO `bl_bill` (`id`, `company_id`, `customer_id`, `bill_no`, `invoice_date`, `tot_amt`, `sum_words`, `date`, `time`, `delStatus`) VALUES
(1, '1', '1', '001', '2021-11-23', '855.00', 'Eight Hundred Fifty Five Rupees Only', '2021-11-23', '13:39:14', '0'),
(2, '1', '2', '002', '2021-11-23', '1150.00', 'One Thousand One Hundred Fifty Rupees Only', '2021-11-23', '13:39:39', '0'),
(3, '1', '4', '003', '2021-11-23', '2025.00', 'Two Thousand Twenty Five Rupees Only', '2021-11-23', '13:42:58', '0'),
(4, '1', '3', '004', '2021-11-23', '810.00', 'Eight Hundred Ten Rupees Only', '2021-11-23', '13:44:18', '0'),
(5, '1', '1', '005', '2022-03-07', '810.00', 'Eight Hundred Ten Rupees Only', '2022-03-07', '10:53:54', '0');

-- --------------------------------------------------------

--
-- Table structure for table `bl_bill_items`
--

CREATE TABLE IF NOT EXISTS `bl_bill_items` (
  `id` int(100) NOT NULL AUTO_INCREMENT,
  `in_id` varchar(100) NOT NULL,
  `products` varchar(100) NOT NULL,
  `qty` varchar(100) NOT NULL,
  `rate` varchar(100) NOT NULL,
  `per` varchar(100) NOT NULL,
  `discount` varchar(100) NOT NULL,
  `dic_amt` varchar(100) NOT NULL,
  `amount` varchar(100) NOT NULL,
  `delStatus` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=7 ;

--
-- Dumping data for table `bl_bill_items`
--

INSERT INTO `bl_bill_items` (`id`, `in_id`, `products`, `qty`, `rate`, `per`, `discount`, `dic_amt`, `amount`, `delStatus`) VALUES
(1, '1', 'SMPS', '2', '450', '', '5', '45', '855', '0'),
(2, '2', 'SMPS', '1', '450', '', '0', '0', '450', '0'),
(3, '2', 'Keyboard', '2', '350', '', '0', '0', '700', '0'),
(4, '3', 'SMPS', '5', '450', '', '10', '225', '2025', '0'),
(5, '4', 'SMPS', '2', '450', '', '10', '90', '810', '0'),
(6, '5', 'Monitor', '2', '450', '', '10', '90', '810', '0');

-- --------------------------------------------------------

--
-- Table structure for table `bl_company`
--

CREATE TABLE IF NOT EXISTS `bl_company` (
  `id` int(100) NOT NULL AUTO_INCREMENT,
  `company` varchar(100) NOT NULL,
  `gst` varchar(100) NOT NULL,
  `state` varchar(100) NOT NULL,
  `code` varchar(100) NOT NULL,
  `email` varchar(100) NOT NULL,
  `phone` varchar(100) NOT NULL,
  `address` varchar(500) NOT NULL,
  `invoice_text` varchar(100) NOT NULL,
  `invoice_starting` varchar(100) NOT NULL,
  `bank` varchar(100) NOT NULL,
  `acount_holder` varchar(100) NOT NULL,
  `account_no` varchar(100) NOT NULL,
  `branch` varchar(100) NOT NULL,
  `account_type` varchar(100) NOT NULL,
  `ifsc_code` varchar(100) NOT NULL,
  `delStatus` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=4 ;

--
-- Dumping data for table `bl_company`
--

INSERT INTO `bl_company` (`id`, `company`, `gst`, `state`, `code`, `email`, `phone`, `address`, `invoice_text`, `invoice_starting`, `bank`, `acount_holder`, `account_no`, `branch`, `account_type`, `ifsc_code`, `delStatus`) VALUES
(1, 'Navigator IT Solutions', '3252T1233D2423454GG', 'Kerala', '32', 'sales@navigatoritsolutions.com', '9497750586', 'Maheswara Building, TC 09/2063-5\r\nSankar Road, Sasthamangalam\r\nTrivandrum-695010', 'NAV/IN/', '1000', 'Federal Bank', 'Navigator IT Solutions', '89135767380499400', 'Palayam, Trivadnrum', 'Saving Account', 'FDRL0001021', '0'),
(2, 'Infitek India', '3252T1233D2423454GG', 'Kerala', '32', 'info@infitekindia.com', '94977505861', 'Maheswara Building, TC 09/2063-5\r\nSankar Road, Sasthamangalam\r\nTrivandrum-695010', 'INFI/IN/', '2000', '', '', '', '', '', '', '0'),
(3, 'Trueline Medicare', '3252T1233D2423454GG', 'Kerala', '32', '', '9497750586', 'Maheswara Building, TC 09/2063-5\r\nSankar Road, Sasthamangalam\r\nTrivandrum-695010', 'TRUE/IN/', '3000', '', '', '', '', '', '', '0');

-- --------------------------------------------------------

--
-- Table structure for table `bl_customer`
--

CREATE TABLE IF NOT EXISTS `bl_customer` (
  `id` int(100) NOT NULL AUTO_INCREMENT,
  `company_name` varchar(100) NOT NULL,
  `name` varchar(100) NOT NULL,
  `gst_no` varchar(100) NOT NULL,
  `state` varchar(100) NOT NULL,
  `state_code` varchar(100) NOT NULL,
  `email` varchar(100) NOT NULL,
  `phone` varchar(100) NOT NULL,
  `address` varchar(500) NOT NULL,
  `delStatus` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=5 ;

--
-- Dumping data for table `bl_customer`
--

INSERT INTO `bl_customer` (`id`, `company_name`, `name`, `gst_no`, `state`, `state_code`, `email`, `phone`, `address`, `delStatus`) VALUES
(1, 'Akbar Travels', 'Arun S', '87452154875487', 'Kerala', '32', 'akbar.trv@gmail.com', '9874562110', 'TC12, Vellayambalam, Trivadnrum', '0'),
(2, 'Shiva Travels', 'Ashok B', '98785465986554', 'Kerala', '32', 'shiva09@gmail.com', '9887455698', 'TC-12, Vellayambalam', '0'),
(3, 'Jithu Travels', 'Jithin R', '89784565987845', 'Kerala', '32', '', '8745125487', 'TC 12 Vellayambalam Trivandrum', '0'),
(4, '', 'Sujith S', '', 'Kerala', '32', 'sujith091@gmail.com', '8745125487', 'TC232, Vellayambalam, Trivandrum', '0');

-- --------------------------------------------------------

--
-- Table structure for table `bl_invoice`
--

CREATE TABLE IF NOT EXISTS `bl_invoice` (
  `id` int(100) NOT NULL AUTO_INCREMENT,
  `company_id` varchar(100) NOT NULL,
  `customer_id` varchar(100) NOT NULL,
  `invoice_no` varchar(100) NOT NULL,
  `invoice_date` varchar(100) NOT NULL,
  `delivery_note` varchar(100) NOT NULL,
  `payment_mode` varchar(100) NOT NULL,
  `ref_no` varchar(100) NOT NULL,
  `ref_date` varchar(100) NOT NULL,
  `other_ref` varchar(100) NOT NULL,
  `buyers_order` varchar(100) NOT NULL,
  `dated` varchar(100) NOT NULL,
  `dispatch_doc` varchar(100) NOT NULL,
  `delivery_note_date` varchar(100) NOT NULL,
  `dispatched_through` varchar(100) NOT NULL,
  `destination` varchar(100) NOT NULL,
  `bill_lading` varchar(100) NOT NULL,
  `motor_no` varchar(100) NOT NULL,
  `terms_delivery` varchar(200) NOT NULL,
  `declaration` varchar(200) NOT NULL,
  `tot_amt` varchar(100) NOT NULL,
  `tot_gst_amt` varchar(100) NOT NULL,
  `tot_cgst_amt` varchar(100) NOT NULL,
  `tot_sgst_amt` varchar(100) NOT NULL,
  `final_cost` varchar(100) NOT NULL,
  `sum_words` varchar(200) NOT NULL,
  `tax_sum_words` varchar(200) NOT NULL,
  `date` varchar(100) NOT NULL,
  `time` varchar(100) NOT NULL,
  `delStatus` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=7 ;

--
-- Dumping data for table `bl_invoice`
--

INSERT INTO `bl_invoice` (`id`, `company_id`, `customer_id`, `invoice_no`, `invoice_date`, `delivery_note`, `payment_mode`, `ref_no`, `ref_date`, `other_ref`, `buyers_order`, `dated`, `dispatch_doc`, `delivery_note_date`, `dispatched_through`, `destination`, `bill_lading`, `motor_no`, `terms_delivery`, `declaration`, `tot_amt`, `tot_gst_amt`, `tot_cgst_amt`, `tot_sgst_amt`, `final_cost`, `sum_words`, `tax_sum_words`, `date`, `time`, `delStatus`) VALUES
(1, '2', '3', '001', '2021-11-20', 'Test11', '1', 'Test22', '2021-11-20', 'Test33', 'Test44', '2021-11-20', 'Test55', 'Test66', '', 'Test77', 'Test88', 'Test99', 'Test1010', 'We Declare that this invoice shows the actual price of the goods described and that all particulars are true and correct.', '1600.00', '192.00', '96.00', '96.00', '1792.00', 'One Thousand Seven Hundred Ninety Two Rupees Only', 'One Hundred Ninety Two Rupees Only', '2021-11-20', '11:21:05', '0'),
(2, '1', '1', '004', '2021-11-20', 'Test A', '1', 'Test B', '2021-11-20', 'Test C', 'Test D', '2021-11-20', 'Test E', 'Test F', 'Road', 'Test G', 'Test H', 'Test I', 'Test J', 'We Declare that this invoice shows the actual price of the goods described and that all particulars are true and correct.', '300.00', '36.00', '18.00', '18.00', '336.00', 'Three Hundred Thirty Six Rupees Only', 'Thirty Six Rupees Only', '2021-11-20', '13:43:51', '0'),
(3, '1', '1', '250', '2021-11-20', '', '', '', '', '', '25646', '', 'T925', '', '', '', '', '', '', 'We Declare that this invoice shows the actual price of the goods described and that all particulars are true and correct.', '850.00', '102.00', '51.00', '51.00', '952.00', 'Nine Hundred Fifty Two Rupees Only', 'One Hundred Two Rupees Only', '2021-11-20', '15:00:58', '0'),
(4, '1', '1', 'NAV/IN/1003', '2021-11-23', 'test', '1', '', '2021-11-23', '', '', '', '', '', '', '', '', '', '', 'We Declare that this invoice shows the actual price of the goods described and that all particulars are true and correct.', '4900.00', '660.00', '330.00', '330.00', '5560.00', 'Five Thousand Five Hundred Sixty Rupees Only', 'Six Hundred Sixty Rupees Only', '2021-11-23', '13:44:46', '0'),
(5, '1', '2', 'NAV/IN/1004', '2022-03-07', '', '1', '', '2022-03-07', '', '', '2022-03-07', '', '', '', '', '', '', '', 'We Declare that this invoice shows the actual price of the goods described and that all particulars are true and correct.', '4500.00', '500.00', '250.00', '250.00', '5000.00', 'Five Thousand Rupees Only', 'Five Hundred Rupees Only', '2022-03-07', '11:56:14', '0'),
(6, '1', '1', 'NAV/IN/1005', '2022-03-07', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'We Declare that this invoice shows the actual price of the goods described and that all particulars are true and correct.', '1000.00', '180.00', '90.00', '90.00', '1180.00', 'One Thousand One Hundred Eighty Rupees Only', 'One Hundred Eighty Rupees Only', '2022-03-07', '11:58:09', '0');

-- --------------------------------------------------------

--
-- Table structure for table `bl_invoice_items`
--

CREATE TABLE IF NOT EXISTS `bl_invoice_items` (
  `id` int(100) NOT NULL AUTO_INCREMENT,
  `in_id` varchar(100) NOT NULL,
  `products` varchar(100) NOT NULL,
  `hsn_code` varchar(100) NOT NULL,
  `qty` varchar(100) NOT NULL,
  `rate` varchar(100) NOT NULL,
  `per` varchar(100) NOT NULL,
  `amount` varchar(100) NOT NULL,
  `gst_percentage` varchar(100) NOT NULL,
  `gst_amt` varchar(100) NOT NULL,
  `delStatus` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=23 ;

--
-- Dumping data for table `bl_invoice_items`
--

INSERT INTO `bl_invoice_items` (`id`, `in_id`, `products`, `hsn_code`, `qty`, `rate`, `per`, `amount`, `gst_percentage`, `gst_amt`, `delStatus`) VALUES
(12, '1', 'SMPS', '8471', '2', '450', 'Nos', '900', '12', '108', '0'),
(13, '1', 'Keyboard', '7854', '2', '350', 'Nos', '700', '12', '84', '0'),
(14, '2', 'Visiting Card', '8754', '100', '3', 'Nos', '300', '12', '36', '0'),
(15, '3', 'smps', '8471', '1', '850', 'Nos', '850', '12', '102', '0'),
(18, '4', 'SMPS', '8471', '2', '450', 'Nos', '900', '20', '180', '0'),
(19, '4', 'Monitor', '7845', '1', '4000', 'Nos', '4000', '12', '480', '0'),
(20, '5', 'Monitor', '7845', '1', '4000', 'Nos', '4000', '10', '400', '0'),
(21, '5', 'SMPS', '8471', '1', '500', 'Nos', '500', '20', '100', '0'),
(22, '6', 'dfdsf', '', '1', '1000', 'Nos', '1000', '18', '180', '0');

-- --------------------------------------------------------

--
-- Table structure for table `bl_login_details`
--

CREATE TABLE IF NOT EXISTS `bl_login_details` (
  `id` int(100) NOT NULL AUTO_INCREMENT,
  `user_id` varchar(100) NOT NULL,
  `date` varchar(100) NOT NULL,
  `time` varchar(100) NOT NULL,
  `ip` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=32 ;

--
-- Dumping data for table `bl_login_details`
--

INSERT INTO `bl_login_details` (`id`, `user_id`, `date`, `time`, `ip`) VALUES
(1, '1', '2021-11-19', '11:50:22', '192.168.29.106'),
(2, '1', '2021-11-19', '11:50:48', '192.168.29.106'),
(3, '1', '2021-11-19', '16:59:18', '192.168.29.168'),
(4, '1', '2021-11-20', '09:45:41', '192.168.29.106'),
(5, '1', '2021-11-20', '14:59:26', '192.168.29.251'),
(6, '1', '2021-11-22', '10:41:24', '192.168.29.106'),
(7, '1', '2021-11-22', '10:43:30', '192.168.29.168'),
(8, '1', '2021-11-22', '14:29:03', '192.168.29.106'),
(9, '1', '2021-11-22', '14:35:21', '192.168.29.106'),
(10, '1', '2021-11-22', '15:23:49', '192.168.29.106'),
(11, '1', '2021-11-22', '15:45:37', '192.168.29.106'),
(12, '1', '2021-11-22', '15:46:10', '192.168.29.168'),
(13, '1', '2021-11-22', '15:52:44', '192.168.29.106'),
(14, '1', '2021-11-22', '16:14:41', '192.168.29.106'),
(15, '1', '2021-11-22', '16:18:23', '192.168.29.106'),
(16, '1', '2021-11-23', '11:00:31', '192.168.29.106'),
(17, '1', '2021-11-23', '12:54:57', '192.168.29.168'),
(18, '1', '2021-11-23', '12:54:57', '192.168.29.168'),
(19, '1', '2021-11-23', '13:01:07', '192.168.29.106'),
(20, '1', '2021-11-23', '13:18:05', '192.168.29.168'),
(21, '1', '2021-11-23', '13:22:03', '192.168.29.106'),
(22, '1', '2021-11-23', '13:45:41', '192.168.29.168'),
(23, '1', '2021-11-23', '13:50:28', '192.168.29.106'),
(24, '1', '2021-11-23', '15:07:27', '192.168.29.106'),
(25, '1', '2021-11-23', '15:35:31', '192.168.29.106'),
(26, '1', '2021-11-23', '15:42:33', '192.168.29.106'),
(27, '1', '2022-03-07', '10:41:30', '127.0.0.1'),
(28, '1', '2022-03-07', '10:42:05', '::1'),
(29, '1', '2022-03-07', '10:48:04', '::1'),
(30, '1', '2022-03-07', '14:41:32', '::1'),
(31, '1', '2022-03-07', '15:43:11', '::1');

-- --------------------------------------------------------

--
-- Table structure for table `bl_login_error`
--

CREATE TABLE IF NOT EXISTS `bl_login_error` (
  `id` int(100) NOT NULL AUTO_INCREMENT,
  `username` varchar(100) NOT NULL,
  `password` varchar(100) NOT NULL,
  `date` varchar(100) NOT NULL,
  `time` varchar(100) NOT NULL,
  `ip` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=7 ;

--
-- Dumping data for table `bl_login_error`
--

INSERT INTO `bl_login_error` (`id`, `username`, `password`, `date`, `time`, `ip`) VALUES
(1, 'asd', 'sadasd', '2021-11-19', '11:50:14', '192.168.29.106'),
(2, 'admin', 'adnin', '2021-11-19', '16:59:11', '192.168.29.168'),
(3, 'admin', 'adnin', '2021-11-19', '16:59:11', '192.168.29.168'),
(4, 'admin', 'adnin', '2021-11-20', '14:59:20', '192.168.29.251'),
(5, 'admin', 'adnin', '2021-11-20', '14:59:20', '192.168.29.251'),
(6, 'admin', 'admin@123', '2022-03-07', '15:43:05', '::1');

-- --------------------------------------------------------

--
-- Table structure for table `bl_payment`
--

CREATE TABLE IF NOT EXISTS `bl_payment` (
  `id` int(100) NOT NULL AUTO_INCREMENT,
  `payment_mode` varchar(100) NOT NULL,
  `delStatus` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=5 ;

--
-- Dumping data for table `bl_payment`
--

INSERT INTO `bl_payment` (`id`, `payment_mode`, `delStatus`) VALUES
(1, 'Cash', '0'),
(2, 'DD', '0'),
(3, 'Cheque', '0'),
(4, 'RTGS', '0');

-- --------------------------------------------------------

--
-- Table structure for table `bl_products`
--

CREATE TABLE IF NOT EXISTS `bl_products` (
  `id` int(100) NOT NULL AUTO_INCREMENT,
  `product_type` varchar(100) NOT NULL,
  `company_id` varchar(100) NOT NULL,
  `product_id` varchar(100) NOT NULL,
  `product` varchar(100) NOT NULL,
  `make` varchar(100) NOT NULL,
  `model` varchar(100) NOT NULL,
  `price` varchar(100) NOT NULL,
  `hsn_code` varchar(100) NOT NULL,
  `unit_price` varchar(100) NOT NULL,
  `margin` varchar(100) NOT NULL,
  `tax` varchar(100) NOT NULL,
  `delStatus` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=5 ;

--
-- Dumping data for table `bl_products`
--

INSERT INTO `bl_products` (`id`, `product_type`, `company_id`, `product_id`, `product`, `make`, `model`, `price`, `hsn_code`, `unit_price`, `margin`, `tax`, `delStatus`) VALUES
(1, 'Hardware', '2', '1', 'SMPS', '', 'CANON', '500', '8471', '400', '100', '18', '0'),
(2, 'Hardware', '2', '2', 'Keyboard', '', 'Logtech', '350', '7854', '300', '50', '12', '0'),
(3, 'Hardware', '2', '3', 'Monitor', '', 'LG', '4000', '7845', '3500', '500', '12', '0'),
(4, 'Software', '1', '4', 'Visiting Card', 'Test2', 'Test', '3', '', '2', '1', '12', '0');

-- --------------------------------------------------------

--
-- Table structure for table `bl_products_history`
--

CREATE TABLE IF NOT EXISTS `bl_products_history` (
  `id` int(100) NOT NULL AUTO_INCREMENT,
  `type` varchar(100) NOT NULL,
  `product_type` varchar(100) NOT NULL,
  `company_id` varchar(100) NOT NULL,
  `product_id` varchar(100) NOT NULL,
  `product` varchar(100) NOT NULL,
  `make` varchar(100) NOT NULL,
  `model` varchar(100) NOT NULL,
  `hsn_code` varchar(100) NOT NULL,
  `unit_price` varchar(100) NOT NULL,
  `margin` varchar(100) NOT NULL,
  `price` varchar(100) NOT NULL,
  `tax` varchar(100) NOT NULL,
  `delStatus` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=4 ;

--
-- Dumping data for table `bl_products_history`
--

INSERT INTO `bl_products_history` (`id`, `type`, `product_type`, `company_id`, `product_id`, `product`, `make`, `model`, `hsn_code`, `unit_price`, `margin`, `price`, `tax`, `delStatus`) VALUES
(1, 'Edit', 'Software', '1', '4', 'Visiting Card', 'Test2', 'Test', '', '2', '1', '3', '12', '0'),
(2, 'Edit', 'Hardware', '2', '1', 'SMPS', '', 'CANON', '8471', '350', '100', '450', '18', '0'),
(3, 'Edit', 'Hardware', '2', '1', 'SMPS', '', 'CANON', '8471', '400', '100', '500', '18', '0');

-- --------------------------------------------------------

--
-- Table structure for table `bl_purchase`
--

CREATE TABLE IF NOT EXISTS `bl_purchase` (
  `id` int(100) NOT NULL AUTO_INCREMENT,
  `company_id` varchar(100) NOT NULL,
  `vendor_name` varchar(100) NOT NULL,
  `vendor_code` varchar(100) NOT NULL,
  `product` varchar(100) NOT NULL,
  `make` varchar(100) NOT NULL,
  `brand` varchar(100) NOT NULL,
  `invoice_no` varchar(100) NOT NULL,
  `hsn_code` varchar(100) NOT NULL,
  `unit_price` varchar(100) NOT NULL,
  `billing_price` varchar(100) NOT NULL,
  `qty` varchar(100) NOT NULL,
  `delStatus` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=5 ;

--
-- Dumping data for table `bl_purchase`
--

INSERT INTO `bl_purchase` (`id`, `company_id`, `vendor_name`, `vendor_code`, `product`, `make`, `brand`, `invoice_no`, `hsn_code`, `unit_price`, `billing_price`, `qty`, `delStatus`) VALUES
(1, '2', 'Logtech', '001', 'SMPS', 'G23', 'CANON', '00142', '4782', '350', '3500', '10', '0'),
(2, '2', 'Logtech', '002', 'Keyboard', '', 'Logtech', '0047', '3423', '300', '3000', '10', '0'),
(3, '2', 'Logtech', '0014', 'Monitor', 'LG343', 'LG', '003', '7845', '3500', '35000', '10', '0'),
(4, '1', 'Visiting Card', '0012', 'Visiting Card', '', '', '001', '8754', '2', '200', '100', '0');

-- --------------------------------------------------------

--
-- Table structure for table `bl_purchase_history`
--

CREATE TABLE IF NOT EXISTS `bl_purchase_history` (
  `id` int(100) NOT NULL AUTO_INCREMENT,
  `type` varchar(100) NOT NULL,
  `company_id` varchar(100) NOT NULL,
  `vendor_name` varchar(100) NOT NULL,
  `vendor_code` varchar(100) NOT NULL,
  `product` varchar(100) NOT NULL,
  `make` varchar(100) NOT NULL,
  `brand` varchar(100) NOT NULL,
  `invoice_no` varchar(100) NOT NULL,
  `hsn_code` varchar(100) NOT NULL,
  `unit_price` varchar(100) NOT NULL,
  `billing_price` varchar(100) NOT NULL,
  `qty` varchar(100) NOT NULL,
  `delStatus` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

--
-- Dumping data for table `bl_purchase_history`
--

INSERT INTO `bl_purchase_history` (`id`, `type`, `company_id`, `vendor_name`, `vendor_code`, `product`, `make`, `brand`, `invoice_no`, `hsn_code`, `unit_price`, `billing_price`, `qty`, `delStatus`) VALUES
(1, 'Edit', '2', 'Logtech', '0014', 'Monitor', 'LG343', 'LG', '003', '7845', '3500', '35000', '10', '0');

-- --------------------------------------------------------

--
-- Table structure for table `bl_user`
--

CREATE TABLE IF NOT EXISTS `bl_user` (
  `id` int(100) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `email` varchar(100) NOT NULL,
  `phone` varchar(100) NOT NULL,
  `image` varchar(100) NOT NULL,
  `username` varchar(100) NOT NULL,
  `password` varchar(100) NOT NULL,
  `status` varchar(100) NOT NULL,
  `delStatus` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

--
-- Dumping data for table `bl_user`
--

INSERT INTO `bl_user` (`id`, `name`, `email`, `phone`, `image`, `username`, `password`, `status`, `delStatus`) VALUES
(1, 'Admin', 'admin@gmail.com', '9876543210', '', 'admin', '21232f297a57a5a743894a0e4a801fc3', '0', '0');

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
