<?php include_once("../include/config.php"); ?>
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title><?php echo TITLE; ?></title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="stylesheet" href="<?php echo ROOT ?>/dist/bootstrap/css/bootstrap.min.css">
<link rel="icon" type="image/png" sizes="16x16" href="<?php echo ROOT ?>/dist/img/favicon-16x16.png">
<link href="https://fonts.googleapis.com/css?family=Poppins:300,400,500,600,700" rel="stylesheet">
<link rel="stylesheet" href="<?php echo ROOT ?>/dist/css/style.css">
<link rel="stylesheet" href="<?php echo ROOT ?>/dist/css/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" href="<?php echo ROOT ?>/dist/css/et-line-font/et-line-font.css">
<link rel="stylesheet" href="<?php echo ROOT ?>/dist/css/themify-icons/themify-icons.css">
<link rel="stylesheet" href="<?php echo ROOT ?>/dist/css/simple-lineicon/simple-line-icons.css">
<link rel="stylesheet" href="<?php echo ROOT ?>/dist/plugins/formwizard/jquery-steps.css">
</head>
<body class="skin-blue sidebar-mini">
<div class="wrapper boxed-wrapper">
 	<?php include_once("../include/header.php"); ?>
  
  	<div class="content-wrapper"> 
		<!-- Content Header (Page header) -->
		<div class="content-header sty-one">
		  <h1>Edit Company</h1>
		  <ol class="breadcrumb">
			<li><a href=".">Home</a></li>
			<li><i class="fa fa-angle-right"></i> Edit Company</li>
		  </ol>
		</div>
		
		<div class="content">
		  
		  
		  <div class="row m-t-3">
			<div class="col-lg-12">
			  <div class="card">
				<div class="card-header bg-blue">
				  	<h5 class="m-b-0">Company Details</h5>
				</div>
				<?php
					$id		=	$_GET['id'];
					$sql	=	"SELECT * FROM bl_company WHERE id='$id'";
					$res	=	mysqli_query($con, $sql) or die(mysqli_error($con));
					$row	=	mysqli_fetch_array($res);					
				?>
				<div class="card-body">
				  <form action="" name="form" method="post" class="form-horizontal form-bordered">
						<div class="form-body">
						  	<div class="form-group row">
								<label class="control-label col-md-2">Company</label>
								<div class="col-md-4">
							  		<input name="company" class="form-control" type="text" value="<?php echo $row['company']; ?>" required autocomplete="off">
							  	</div>
							</div>
							<div class="form-group row">
							  	<label class="control-label  col-md-2">GST No.</label>
								<div class="col-md-4">
							  		<input name="gst_no" class="form-control" type="text" value="<?php echo $row['gst']; ?>" autocomplete="off">
							  	</div>
						  	</div>
							
							<div class="form-group row">
								<label class="control-label col-md-2">State</label>
								<div class="col-md-4">
							  		<input name="state" class="form-control" type="text"  value="<?php echo $row['state']; ?>" autocomplete="off">
							  	</div>
							</div>
							<div class="form-group row">
							  	<label class="control-label  col-md-2">State Code</label>
								<div class="col-md-4">
							  		<input name="state_code" class="form-control" type="text"  value="<?php echo $row['code']; ?>" autocomplete="off">
							  	</div>
						  	</div>
							
							<div class="form-group row">
								<label class="control-label col-md-2">Email</label>
								<div class="col-md-4">
							  		<input name="email" class="form-control" type="text" value="<?php echo $row['email']; ?>" autocomplete="off">
							  	</div>
							</div>
							<div class="form-group row">
							  	<label class="control-label  col-md-2">Phone No.</label>
								<div class="col-md-4">
							  		<input name="phone_no" class="form-control" type="text"  value="<?php echo $row['phone']; ?>" required autocomplete="off">
							  	</div>
						  	</div>
							
							<div class="form-group row">
								<label class="control-label col-md-2">Address</label>
								<div class="col-md-4">
							  		<textarea name="address" class="form-control height_50"  required><?php echo $row['address']; ?></textarea>
							  	</div>
							</div>
							
							<div class="form-group row">
							  	<label class="control-label  col-md-2">Invoice Starting Text</label>
								<div class="col-md-4">
							  		<input name="invoice_text" class="form-control" type="text" value="<?php echo $row['invoice_text']; ?>" autocomplete="off">
							  	</div>
						  	</div>
							
							<div class="form-group row">
							  	<label class="control-label  col-md-2">Invoice Starting</label>
								<div class="col-md-4">
							  		<input name="invoice_starting" class="form-control" type="text" value="<?php echo $row['invoice_starting']; ?>" autocomplete="off">
							  	</div>
						  	</div>
							
							
							<div class="form-group row">
							  	<label class="control-label  col-md-2"><b>Account Details</b></label>								
						  	</div>
					  		
							<div class="form-group row">
								<label class="control-label col-md-2">Bank</label>
								<div class="col-md-4">
							  		<input name="bank" class="form-control" type="text" value="<?php echo $row['bank'] ?>"  autocomplete="off">
							  	</div>
							</div>
							
							<div class="form-group row">
								<label class="control-label col-md-2">Account Holder</label>
								<div class="col-md-4">
							  		<input name="acount_holder" class="form-control" type="text" value="<?php echo $row['acount_holder'] ?>"  autocomplete="off">
							  	</div>
							</div>		
							
							<div class="form-group row">
								<label class="control-label col-md-2">Account Number</label>
								<div class="col-md-4">
							  		<input name="account_no" class="form-control" type="text" value="<?php echo $row['account_no'] ?>"  autocomplete="off">
							  	</div>
							</div>		
							
							<div class="form-group row">
								<label class="control-label col-md-2">Branch</label>
								<div class="col-md-4">
							  		<input name="branch" class="form-control" type="text" value="<?php echo $row['branch'] ?>"  autocomplete="off">
							  	</div>
							</div>		
							
							<div class="form-group row">
								<label class="control-label col-md-2">Acount Type</label>
								<div class="col-md-4">
							  		<input name="account_type" class="form-control" type="text" value="<?php echo $row['account_type'] ?>"  autocomplete="off">
							  	</div>
							</div>			  
							
							<div class="form-group row">
								<label class="control-label col-md-2">IFSC Code</label>
								<div class="col-md-4">
							  		<input name="ifsc_code" class="form-control" type="text" value="<?php echo $row['ifsc_code'] ?>"  autocomplete="off">
							  	</div>
							</div>	
					  					  
						</div>
						
						<div class="form-actions">
						  	<div class="row">
								<div class="col-md-12">
									<div class="row">
										<div class="col-md-12">
										  	<button type="submit"  name="submit_form" class="btn btn-success"> Submit</button>
										  	<button type="button" class="btn btn-inverse"  onClick="window.location='view_company'">Cancel</button>
										</div>
									</div>
								</div>
						  	</div>
						</div>
					
				  </form>
				  
				  	<?php
						if(isset($_POST['submit_form'])){
							$company			=	$_POST['company'];
							$gst_no				=	$_POST['gst_no'];
							$state				=	$_POST['state'];
							$state_code			=	$_POST['state_code'];
							$email				=	$_POST['email'];
							$phone_no			=	$_POST['phone_no'];
							
							$address			=	$_POST['address'];
							$invoice_text		=	$_POST['invoice_text'];
							$invoice_starting	=	$_POST['invoice_starting'];
							
							$bank				=	$_POST['bank'];
							$acount_holder		=	$_POST['acount_holder'];
							$account_no			=	$_POST['account_no'];
							$branch				=	$_POST['branch'];
							$account_type		=	$_POST['account_type'];
							$ifsc_code			=	$_POST['ifsc_code'];
							
							$sql		=	"UPDATE bl_company SET company='$company', gst='$gst_no', state='$state', code='$state_code', email='$email', phone='$phone_no',  address='$address', invoice_text='$invoice_text', invoice_starting='$invoice_starting', bank='$bank', acount_holder='$acount_holder', account_no='$account_no', branch='$branch', account_type='$account_type', ifsc_code='$ifsc_code' WHERE id='$id'";
							$res	=	mysqli_query($con, $sql) or die(mysqli_error($con));
							
							echo "<script>alert('Updated!')</script>";
							echo "<script>window.location='view_company'</script>";
							
						}
				  	?>			  
				  
						</div>
			  		</div>
				</div>
		  	</div>
		</div>
	</div>
	  
  	<?php include_once("../include/footer.php"); ?>
</div>

<script src="<?php echo ROOT ?>/dist/js/jquery.min.js"></script> 
<script src="<?php echo ROOT ?>/dist/bootstrap/js/bootstrap.min.js"></script> 
<script src="<?php echo ROOT ?>/dist/js/adminkit.js"></script>
<script src="<?php echo ROOT ?>/dist/plugins/formwizard/jquery-steps.js"></script> 
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.16.0/jquery.validate.min.js"></script> 

</body>
</html>
