<?php include_once("../include/config.php"); ?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
	<title><?php echo TITLE; ?></title>
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="stylesheet" href="<?php echo ROOT ?>/dist/bootstrap/css/bootstrap.min.css">
	<link rel="icon" type="image/png" sizes="16x16" href="<?php echo ROOT ?>/dist/img/favicon-16x16.png">
	<link href="https://fonts.googleapis.com/css?family=Poppins:300,400,500,600,700" rel="stylesheet">
	<link rel="stylesheet" href="<?php echo ROOT ?>/dist/css/style.css">
	<link rel="stylesheet" href="<?php echo ROOT ?>/dist/css/font-awesome/css/font-awesome.min.css">
	<link rel="stylesheet" href="<?php echo ROOT ?>/dist/css/et-line-font/et-line-font.css">
	<link rel="stylesheet" href="<?php echo ROOT ?>/dist/css/themify-icons/themify-icons.css">
	<link rel="stylesheet" href="<?php echo ROOT ?>/dist/css/simple-lineicon/simple-line-icons.css">
	<link rel="stylesheet" href="<?php echo ROOT ?>/dist/plugins/chartist-js/chartist.min.css">
	<link rel="stylesheet" href="<?php echo ROOT ?>/dist/plugins/chartist-js/chartist-plugin-tooltip.css">
</head>
<body class="skin-blue sidebar-mini">
<div class="wrapper boxed-wrapper">
  	
	<?php include_once("../include/header.php"); ?>
  
  	<div class="content-wrapper"> 
		<div class="content-header sty-one">
		  <h1>CRM Dashboard</h1>
		  <ol class="breadcrumb">
			<li><a href="#">Home</a></li>
			<li><i class="fa fa-angle-right"></i> CRM Dashboard</li>
		  </ol>
		</div>
    
		<div class="content" style="display:none;">
		  <div class="row">
			<div class="col-lg-3 col-sm-6 col-xs-12 m-b-3">
			  <div class="card">
				<div class="card-body box-rounded box-gradient"> <span class="info-box-icon bg-transparent"><i class="ti-stats-up text-white"></i></span>
				  <div class="info-box-content">
					<h6 class="info-box-text text-white">New Orders</h6>
					<h1 class="text-white">5,500</h1>
					<span class="progress-description text-white"> 70% Increase in 30 Days </span> </div>
				</div>
			  </div>
			</div>
			<div class="col-lg-3 col-sm-6 col-xs-12 m-b-3">
			  <div class="card">
				<div class="card-body box-rounded box-gradient-4"> <span class="info-box-icon bg-transparent"><i class="ti-face-smile text-white"></i></span>
				  <div class="info-box-content">
					<h6 class="info-box-text text-white">New Users</h6>
					<h1 class="text-white">2,040</h1>
					<span class="progress-description text-white"> 45% Increase in 30 Days </span> </div>
				</div>
			  </div>
			</div>
			<div class="col-lg-3 col-sm-6 col-xs-12 m-b-3">
			  <div class="card">
				<div class="card-body box-rounded box-gradient-2"> <span class="info-box-icon bg-transparent"><i class="ti-bar-chart text-white"></i></span>
				  <div class="info-box-content">
					<h6 class="info-box-text text-white">Online Revenue</h6>
					<h1 class="text-white">6,450</h1>
					<span class="progress-description text-white"> 65% Increase in 30 Days </span> </div>
				</div>
			  </div>
			</div>
			<div class="col-lg-3 col-sm-6 col-xs-12 m-b-3">
			  <div class="card">
				<div class="card-body box-rounded box-gradient-3"> <span class="info-box-icon bg-transparent"><i class="ti-money text-white"></i></span>
				  <div class="info-box-content">
					<h6 class="info-box-text text-white">Total Profit</h6>
					<h1 class="text-white">$ 8,590</h1>
					<span class="progress-description text-white"> 45% Increase in 30 Days </span> </div>
				</div>
			  </div>
			</div>
		  </div>
		  <!-- /.row -->
		  
		  <div class="row">
			<div class="col-lg-8">
			  <div class="info-box">
				<div class="col-12">
				  <div class="d-flex flex-wrap">
					<div class="m-b-3">
					  <h5>Statistics</h5>
					</div>
				  </div>
				</div>
				<div class="row">
				  <div class="col-lg-4">
					<div class="m-b-3 text-center">
					  <h6 class="f-14">Order Received</h6>
					  <h4 class="text-blue">9,530</h4>
					</div>
				  </div>
				  <div class="col-lg-4">
					<div class="m-b-3 text-center">
					  <h6 class="f-14">Total Sales</h6>
					  <h4 class="text-blue">6,300</h4>
					</div>
				  </div>
				  <div class="col-lg-4">
					<div class="m-b-3 text-center">
					  <h6 class="f-14">Total Profit</h6>
					  <h4 class="text-blue">$ 15,538</h4>
					</div>
				  </div>
				  <div class="col-lg-12">
					<div class="ct-line-chart" style="height:350px;"></div>
				  </div>
				</div>
			  </div>
			</div>
			<div class="col-lg-4">
			  <div class="box-gradient-1 box-rounded">
				<div class="card-body text-white">
				  <h1>10,580</h1>
				  <h5>Orders</h5>
				  <div class="m-t-2"><span class="bar-colours-2">5,3,2,-1,-3,-2,2,3,5,2</span></div>
				</div>
			  </div>
			  <div class="box-gradient box-rounded m-t-3">
				<div class="card-body text-white">
				  <h1>7,750</h1>
				  <h5>New Users</h5>
				  <div class="m-t-2"><span class="bar-colours-2">7,3,5,-5,-4,-5,2,3,5,4</span></div>
				</div>
			  </div>
			</div>
		  </div>
		  <!-- /.row -->
		  
		  <div class="row">
			<div class="col-lg-4 m-t-3">
			  <div class="box box-widget widget-user">
				<div class="widget-user-header bg-black" style="background: url('dist/img/user-bg.jpg');">
				  <h3 class="widget-user-username">Angela Dominic</h3>
				  <h5 class="widget-user-desc">Web Designer &amp; Developer</h5>
				</div>
				<div class="widget-user-image"> <img class="img-circle" src="dist/img/img5.jpg" alt="User Avatar"> </div>
				<div class="box-footer">
				  <div class="text-center">
					<p>Lorem ipsum dolor sit amet, consectetur adipiscing sed cursus ante.</p>
				  </div>
				  <div class="row">
					<div class="col-sm-4 border-right">
					  <div class="description-block">
						<h5 class="description-header">1,500</h5>
						<span class="description-text">SALES</span> </div>
					</div>
					<div class="col-sm-4 border-right">
					  <div class="description-block">
						<h5 class="description-header">10,350</h5>
						<span class="description-text">FOLLOWERS</span> </div>
					</div>
					<div class="col-sm-4">
					  <div class="description-block">
						<h5 class="description-header">35</h5>
						<span class="description-text">PRODUCTS</span> </div>
					</div>
				  </div>
				</div>
			  </div>
			  <div class="box box-widget widget-user-2 m-t-3 m-b-3">
				<div class="widget-user-header bg-yellow">
				  <div class="widget-user-image"> <img class="img-circle" src="dist/img/img5.jpg" alt="User Avatar"> </div>
				  <h3 class="widget-user-username">Nick Lampard</h3>
				  <h5 class="widget-user-desc">Lead Developer</h5>
				</div>
				<div class="box-footer no-padding">
				  <ul class="nav nav-stacked">
					<li><a href="#">Projects <span class="pull-right badge bg-blue">15</span></a></li>
					<li><a href="#">Tasks <span class="pull-right badge bg-aqua">25</span></a></li>
					<li><a href="#">Completed Projects <span class="pull-right badge bg-green">30</span></a></li>
					<li><a href="#">Followers <span class="pull-right badge bg-red">150</span></a></li>
					<li><a href="#">Completed Projects <span class="pull-right badge bg-green">30</span></a></li>
				  </ul>
				</div>
			  </div>
			</div>
			<div class="col-lg-8">
			  <div class="info-box">
				<div class="card tab-style1"> 
				  <!-- Nav tabs -->
				  <ul class="nav nav-tabs profile-tab" role="tablist">
					<li class="nav-item"> <a class="nav-link active" data-toggle="tab" href="#home" role="tab" aria-expanded="true">Activity</a> </li>
					<li class="nav-item"> <a class="nav-link" data-toggle="tab" href="#profile" role="tab" aria-expanded="false">Profile</a> </li>
					<li class="nav-item"> <a class="nav-link" data-toggle="tab" href="#settings" role="tab">Settings</a> </li>
				  </ul>
				  <!-- Tab panes -->
				  <div class="tab-content">
					<div class="tab-pane active" id="home" role="tabpanel" aria-expanded="true">
					  <div class="card-body">
						<div class="row">
						  <div class="col-lg-2">
							<div class="user-img pull-left"> <img src="dist/img/img3.jpg" class="img-circle img-responsive" alt="User Image"> </div>
						  </div>
						  <div class="col-lg-10">
							<div class="mail-contnet">
							  <h5>Florence Douglas</h5>
							  <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer nec odio. Praesent libero. Sed cursus ante dapibus diam. Sed nisi. Nulla quis sem at nibh elementum imperdiet. Duis sagittis ipsum raesent mauris nec.</p>
							  <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer nec odio. Praesent libero. Sed cursus ante dapibus diam.</p>
							  <div class="row">
								<div class="col-lg-3 col-xs-4 m-bot-2"><img src="dist/img/img7.jpg" alt="user" class="img-responsive img-rounded m-t-1"></div>
								<div class="col-lg-3 col-xs-4 m-bot-2"><img src="dist/img/img8.jpg" alt="user" class="img-responsive img-rounded m-t-1"></div>
								<div class="col-lg-3 col-xs-4 m-bot-2"><img src="dist/img/img9.jpg" alt="user" class="img-responsive img-rounded m-t-1"></div>
								<div class="col-lg-3 col-xs-4 m-bot-2"><img src="dist/img/img10.jpg" alt="user" class="img-responsive img-rounded m-t-1"></div>
							  </div>
							  <div class="like-comm m-t-1"> <a href="#">150 comment</a> <a href="#"><i class="fa fa-heart text-danger"></i> 25 Love</a> </div>
							</div>
						  </div>
						</div>
						<div class="row m-t-3">
						  <div class="col-lg-2">
							<div class="user-img pull-left"> <img src="dist/img/img5.jpg" class="img-circle img-responsive" alt="User Image"> </div>
						  </div>
						  <div class="col-lg-10">
							<div class="mail-contnet">
							  <h5>Florence Douglas</h5>
							  <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer nec odio. Praesent libero. Sed cursus ante dapibus diam. Sed nisi. Nulla quis sem at nibh elementum imperdiet. Duis sagittis ipsum raesent mauris nec.</p>
							  <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer nec odio. Praesent libero. Sed cursus ante dapibus diam.</p>
							  <div class="like-comm m-t-1"> <a href="#">150 comment</a> <a href="#"><i class="fa fa-heart text-danger"></i> 25 Love</a> </div>
							</div>
						  </div>
						</div>
					  </div>
					</div>
					<!--second tab-->
					<div class="tab-pane" id="profile" role="tabpanel" aria-expanded="false">
					  <div class="card-body">
						<div class="row">
						  <div class="col-lg-3 col-xs-6 b-r"> <strong>Full Name</strong> <br>
							<p class="text-muted">Florence Douglas</p>
						  </div>
						  <div class="col-lg-3 col-xs-6 b-r"> <strong>Mobile</strong> <br>
							<p class="text-muted">(123) 456 7890</p>
						  </div>
						  <div class="col-lg-3 col-xs-6 b-r"> <strong>Email</strong> <br>
							<p class="text-muted">florencedouglas@admin.com</p>
						  </div>
						</div>
						<hr>
						<p>Lorem Ipsum is simply dummy text of the printing vulputate eget, arcu. In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium. Integer tincidunt. Cras dapibus. Vivamus elementum semper nisi. Aenean vulputate eleifend tellus. Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim.</p>
						<p>Suspen disse potenti. Sed lectus est, commodo eu pre tium eu, pulvinar porttitor feugiat. Aliquam efficitur feugiat accumsan. Nulla hendrerit cursus nisi nec mattis. </p>
						<h4 class="font-medium m-t-3">Skill Set</h4>
						<hr>
						<div>
						  <h6 class="m-t-3">Wordpress <span class="pull-right">80%</span></h6>
						  <div class="progress">
							<div class="progress-bar bg-success" role="progressbar" aria-valuenow="80" aria-valuemin="0" aria-valuemax="100" style="width:80%; height:6px;"> <span class="sr-only">50% Complete</span> </div>
						  </div>
						  <h5 class="m-t-3">HTML 5 <span class="pull-right">90%</span></h5>
						  <div class="progress">
							<div class="progress-bar bg-info" role="progressbar" aria-valuenow="90" aria-valuemin="0" aria-valuemax="100" style="width:90%; height:6px;"> <span class="sr-only">50% Complete</span> </div>
						  </div>
						  <h5 class="m-t-3">jQuery <span class="pull-right">50%</span></h5>
						  <div class="progress">
							<div class="progress-bar bg-danger" role="progressbar" aria-valuenow="50" aria-valuemin="0" aria-valuemax="100" style="width:50%; height:6px;"> <span class="sr-only">50% Complete</span> </div>
						  </div>
						  <h5 class="m-t-3">Photoshop <span class="pull-right">70%</span></h5>
						  <div class="progress">
							<div class="progress-bar bg-warning" role="progressbar" aria-valuenow="70" aria-valuemin="0" aria-valuemax="100" style="width:70%; height:6px;"> <span class="sr-only">50% Complete</span> </div>
						  </div>
						</div>
					  </div>
					</div>
					<div class="tab-pane" id="settings" role="tabpanel">
					  <div class="card-body">
						<form class="form-horizontal form-material">
						  <div class="form-group">
							<label class="col-md-12">Full Name</label>
							<div class="col-md-12">
							  <input placeholder="Florence Douglas" class="form-control form-control-line" type="text">
							</div>
						  </div>
						  <div class="form-group">
							<label for="example-email" class="col-md-12">Email</label>
							<div class="col-md-12">
							  <input placeholder="florencedouglas@admin.com" class="form-control form-control-line" name="example-email" id="example-email" type="email">
							</div>
						  </div>
						  <div class="form-group">
							<label class="col-md-12">Password</label>
							<div class="col-md-12">
							  <input value="password" class="form-control form-control-line" type="password">
							</div>
						  </div>
						  <div class="form-group">
							<label class="col-md-12">Phone No</label>
							<div class="col-md-12">
							  <input placeholder="123 456 7890" class="form-control form-control-line" type="text">
							</div>
						  </div>
						  <div class="form-group">
							<label class="col-md-12">Message</label>
							<div class="col-md-12">
							  <textarea rows="5" class="form-control form-control-line"></textarea>
							</div>
						  </div>
						  <div class="form-group">
							<label class="col-sm-12">Select Country</label>
							<div class="col-sm-12">
							  <select class="form-control form-control-line">
								<option>London</option>
								<option>India</option>
								<option>Usa</option>
								<option>Canada</option>
								<option>Thailand</option>
							  </select>
							</div>
						  </div>
						  <div class="form-group">
							<div class="col-sm-12">
							  <button class="btn btn-success">Update Profile</button>
							</div>
						  </div>
						</form>
					  </div>
					</div>
				  </div>
				</div>
			  </div>
			</div>
		  </div>
		  <!-- /.row --> 
		  
		  <!-- /.row --> 
		</div>
    <!-- /.content --> 
  </div>
  	<?php include_once("../include/footer.php"); ?>
</div>

<script src="<?php echo ROOT ?>/dist/js/jquery.min.js"></script> 
<script src="<?php echo ROOT ?>/dist/bootstrap/js/bootstrap.min.js"></script>
<script src="<?php echo ROOT ?>/dist/js/adminkit.js"></script> 
<script src="<?php echo ROOT ?>/dist/plugins/peity/jquery.peity.min.js"></script> 
<script src="<?php echo ROOT ?>/dist/plugins/functions/jquery.peity.init.js"></script> 
<script src="<?php echo ROOT ?>/dist/plugins/chartist-js/chartist.min.js"></script> 
<script src="<?php echo ROOT ?>/dist/plugins/chartist-js/chartist-plugin-tooltip.js"></script> 
<script src="<?php echo ROOT ?>/dist/plugins/functions/chartist-init.js"></script>
</body>
</html>
