<?php include_once("../include/config.php"); ?>

<!DOCTYPE html>

<html lang="en">

<head>

<meta charset="utf-8">

<meta http-equiv="X-UA-Compatible" content="IE=edge">

<title><?php echo TITLE; ?></title>

<meta name="viewport" content="width=device-width, initial-scale=1">

<link rel="stylesheet" href="<?php echo ROOT ?>/dist/bootstrap/css/bootstrap.min.css">

<link rel="icon" type="image/png" sizes="16x16" href="<?php echo ROOT ?>/dist/img/favicon-16x16.png">

<link href="https://fonts.googleapis.com/css?family=Poppins:300,400,500,600,700" rel="stylesheet">

<link rel="stylesheet" href="<?php echo ROOT ?>/dist/css/style.css">

<link rel="stylesheet" href="<?php echo ROOT ?>/dist/css/font-awesome/css/font-awesome.min.css">

<link rel="stylesheet" href="<?php echo ROOT ?>/dist/css/et-line-font/et-line-font.css">

<link rel="stylesheet" href="<?php echo ROOT ?>/dist/css/themify-icons/themify-icons.css">

<link rel="stylesheet" href="<?php echo ROOT ?>/dist/css/simple-lineicon/simple-line-icons.css">

<link rel="stylesheet" href="<?php echo ROOT ?>/dist/plugins/formwizard/jquery-steps.css">

</head>

<style>

	.table-bordered>thead>tr>th, .table-bordered>tbody>tr>th, .table-bordered>tfoot>tr>th, .table-bordered>thead>tr>td, .table-bordered>tbody>tr>td, .table-bordered>tfoot>tr>td { border: 1px solid #818181 !important; }

	.table td, .table th { padding: 0px; }

	.table b{ font-size:15px; color:#000;}

	.table-bordered>thead>tr>th, .table-bordered>tbody>tr>th, .table-bordered>tfoot>tr>th, .table-bordered>thead>tr>td, .table-bordered>tbody>tr>td, .table-bordered>tfoot>tr>td { font-size: 13px !important; }

	.table-bordered>tbody>tr>th{ font-weight:600; }

	.table_bor td, .table_bor th{ border: none !important; border-right:1px solid #818181 !important;}

	.table_bor2 td, .table_bor2 th{ border: none !important; border-right:none !important;}

	.account_bank{  font-size: 13px; line-height: 22px;}

	.det_table th{ font-weight:normal; font-size:12px; }

	.det_table td, .det_table th{text-align:right; }

	.text_left{ text-align:left !important; }

</style>

<body class="skin-blue sidebar-mini">

<div class="wrapper boxed-wrapper">

 	<?php include_once("../include/header.php"); ?>

  

  	<div class="content-wrapper"> 

		<!-- Content Header (Page header) -->

		<div class="content-header sty-one">

		  <h1>Print Invoice</h1>		  

		</div>

		

		<div class="content">

		  	<?php

				$id		=	$_GET['id'];

				$sql	=	"SELECT b.*, c.company, c.gst, c.state, c.code, c.email, c.address, c.phone, cs.company_name, cs.name, cs.gst_no as gst_no2, cs.state as state2, cs.state_code, cs.email as email2,  cs.address as address2,  c.bank, c.acount_holder, c.account_no, c.branch, c.account_type, c.ifsc_code

							FROM bl_bill b

							LEFT JOIN bl_company c ON c.id=b.company_id

							LEFT JOIN bl_customer cs ON cs.id=b.customer_id

							WHERE b.id='$id'";

				$res	=	mysqli_query($con, $sql) or die(mysqli_error($con));

				$i		=	"1";

				$row	=	mysqli_fetch_array($res);

			?>

		  

		  	<div class="row m-t-3">

				<div class="col-lg-12">

			  		<div class="card">				

						<div class="card-body print_area" id="fullWidth">

							

				  

				   			<?php /*?><h3 style="width:100%; text-align:center; font-weight:600; color:#000; ">Tax Invoice</h3><?php */?>

				  			<table class="table table-bordered" style="border:1px solid #ccc; font-size: 13px; line-height: 20px;color: #000;">

								<tr>

									<td width="50%">

										<table class="table  " style="margin-bottom:0px; border:none !important">

											<tr>

												<td style="padding:10px; border-bottom:none !important;padding-bottom:3px; border:none; ">

													<b style="font-size:16px; margin-bottom: 8px; float: left; width: 100%;"><?php echo $row['company']; ?></b><br>

													<span style="width: 330px; float: left;"><?php echo $row['address']; ?></span>

													<?php if($row['gst']!=""){ ?>

														<span style="width:100%; float:left;">GSTIN/UIN: <?php echo $row['gst']; ?></span>

													<?php } ?>

													<?php if($row['phone']!=""){ ?>

														<span style="width:100%; float:left;">Tel: <?php echo $row['phone']; ?></span>

													<?php } ?>

													<?php if($row['email']!=""){ ?>

														<span style="width:100%; float:left;">Email: <?php echo $row['email']; ?></span>

													<?php } ?>

												</td>

											</tr>

										</table>

											

									</td>

									<td width="50%" rowspan="2">

										<table class="table table-bordered" style=" line-height: 22px; margin-bottom:0px; border:none !important">

											<tr>

												<td width="100%" style="padding:5px; text-align:center; border-left: none !important;   border-right: none !important; border-top: none !important; vertical-align:middle; " height="70">

													<b style="font-size:16px; margin-bottom: 0px; float: left; width: 100%;">BILL</b>

												</td>												

											</tr>

											

											<?php /*?><tr>

												<td width="100%" style="padding:3px; text-align:center; border-left: none !important;   border-right: none !important;">		

													<?php if($row['gst']!=""){ ?>											

													<b style="font-size:13px; margin-bottom: 0px; float: left; width: 100%;"><?php echo $row['gst']; ?> </b>											

													<?php } ?>	

													<?php if($row['state']!=""){ ?>	<br>																							

														<b style="font-size:13px; margin-bottom: 0px; float: left; width: 100%;text-transform:uppercase; ">STATE: [<?php echo $row['state']; ?>], Code: [<?php echo $row['code']; ?>]</b>

													<?php } ?>

												</td>												

											</tr><?php */?>

											<tr>

												<td width="100%" style="padding:3px; text-align:left; border-left: none !important;   border-right: none !important; ">

													<b style="font-size:13px; margin-bottom: 0px; float: left; width: 100%;">BILL NO: <?php echo $row['bill_no'] ?></b>

												</td>												

											</tr>

											<tr>

												<td width="100%" style="padding:3px; text-align:left; border-left: none !important;   border-right: none !important;  border-bottom: none !important; ">

													<b style="font-size:13px; margin-bottom: 0px; float: left; width: 100%;">BILL DATE: <?php echo date("d-M-Y", strtotime($row['invoice_date'])); ?></b>

												</td>												

											</tr>

											

											<td style="padding:5px; vertical-align: middle; border-left:none !important;  border-bottom:none !important;">

												<?php if($row['bank']!=""){ ?>

												<p style="margin-bottom:0px;">

													<b style="font-size:13px; margin-bottom: 0px; float: left; width: 100%;">Company's Bank Details										</b>	

												</p>

												<table class="table_bor2">

													<tr>

														<td>A/c No.</td>

														<td>: <?php echo $row['account_no']; ?></td>

													</tr>

													<tr>

														<td width="35%">Bank </td>

														<td>: <?php echo $row['bank'] ?></td>

													</tr>

													<tr>

														<td>IFSC</td>

														<td>: <?php echo $row['ifsc_code']; ?></td>

													</tr>

													<tr>

														<td>Branch </td>

														<td>: <?php echo $row['branch']; ?> </td>

													</tr>

												</table>

												

												<?php } ?>

											

											</td>

											

											

										</table>									

									</td>

								</tr>

								

								<tr>

									<td>

										<table class="table  " style="margin-bottom:0px; border:none !important">	

											

											<tr>

												<td style="padding:10px;  border-bottom:1px solid #fff !important; border:none;">

													<b>Buyer </b><br>

													<?php if($row['company_name']!=""){ ?>

														<?php echo $row['company_name']; ?><br>

													<?php } ?>

													<?php if($row['name']!=""){ ?>

														<span style="width: 100%; float: left;"><?php echo $row['name']; ?></span>

													<?php } ?>

													<span style="width: 230px; float: left;"><?php echo $row['address2']; ?></span>

													<?php if($row['gst2']!=""){ ?>

														<span style="width:100%; float:left;">GSTIN/UIN: <?php echo $row['gst2']; ?></span>

													<?php } ?>

													<?php if($row['state2']!=""){ ?>

														<span style="width:100%; float:left; ">State Name: <?php echo $row['state2']; ?>, Code: <?php echo $row['state_code']; ?></span>

													<?php } ?>

													

												</td>

											</tr>

										</table>									

									</td>

									

								</tr>

								

								

								<tr>

									<td colspan="2">

										<table class="table table_bor det_table" style="margin-bottom:0px;" cellpadding="0" cellspacing="0">

											<tr>

												<th class="text-center" style="padding:5px; border-bottom:1px solid #818181 !important;" width="4.1%">Sl No.</th>

												<th class="text_left" style="padding:5px; border-bottom:1px solid #818181 !important;" width="38%">Particulars </th>

												

												<th class="text-center" style="padding:5px; border-bottom:1px solid #818181 !important;" width="10%">Qty</th>

												

												<th class="text-center" style="padding:5px; border-bottom:1px solid #818181 !important;" width="10%">Rate</th>

												<th class="text-center" style="padding:5px; border-bottom:1px solid #818181 !important;" width="10%">Discount (%)</th>

												

												<th class="text-center" style="padding:5px; border-bottom:1px solid #818181 !important;" width="12%">Amount</th>

											</tr>

											

											<?php

												$sql2	=	"SELECT * FROM bl_bill_items WHERE in_id='$id'";

												$res2	=	mysqli_query($con, $sql2) or die(mysqli_error($con));

												$j		=	"1";

												$tot1	=	"0";

												$tot2	=	"0";

												$tot3	=	"0";

												$tot4	=	"0";

												while($row2=mysqli_fetch_array($res2)){

											?>

											<tr>

												<td class="text-center" style="padding:5px; "><?php echo $j; ?></td>

												<td class="text_left" style="padding:5px;"><?php echo $row2['products']; ?></td>

												

												<td class="text-center" style="padding:5px; "><?php echo $row2['qty']; ?></td>

												

												<td class="text-center" style="padding:5px;"><?php echo $row2['rate']; ?></td>

												<td class="text-center" style="padding:5px; "><?php echo $row2['discount']; ?></td>

												<?php $tot	=	$row2['amount'] + $row2['gst_amt']; ?>

												<td class="text-center" style="padding:5px;"><?php echo $tot; ?></td>

											</tr>

											<?php

												$tot1	=	$tot1 + $row2['qty'];

												$tot2	=	$tot2 + $row2['rate'];

												$tot3	=	$tot3 + $gst_amt;

												$tot4	=	$tot4 + $gst_amt;

											?>

											

											

											<?php $j++; } ?>

											

											<?php /*?><tr>								

												<td style="padding:5px; "></td>												

												<td style="padding:5px;"></td>

												<td style="padding:5px; "></td>

												<td style="padding:5px;"></td>

												<td style="padding:5px;"></td>

												<td style="padding:5px;"></td>

											</tr>
<?php */?>
											

											

											<?php /*?><tr>

												<td></td>

												<td style="text-align:right; padding:5px; font-weight:700;">Total</td>

												<td></td>

												<td></td>

												<td></td>

												<td></td>

												<td style="padding:5px; font-weight:700; "><?php echo $row['tot_amt']; ?></td>

											</tr>

											<tr>

												<td></td>

												<td style="text-align:right; padding:5px; font-weight:700; ">CGST</td>

												<td></td>

												<td></td>

												<td></td>

												<td></td>

												<td style="padding:5px; font-weight:700;"><?php echo $row['tot_cgst_amt']; ?></td>

											</tr>

											<tr>

												<td></td>

												<td style="text-align:right; padding:5px; font-weight:700; ">SGST</td>

												<td></td>

												<td></td>

												<td></td>

												<td></td>

												<td style="padding:5px; font-weight:700;"><?php echo $row['tot_sgst_amt']; ?></td>

											</tr><?php */?>

											<tr>

												<td style=" border-top:1px solid #818181 !important;"></td>

												<td  style="text-align:right; padding:5px;  border-top:1px solid #818181 !important;">Total</td>

												<td class="text-center" style=" border-top:1px solid #818181 !important; padding:5px;"><?php echo round($tot1, 2) ?></td>

												<td class="text-center" style=" border-top:1px solid #818181 !important;"></td>

												<td class="text-center" style=" border-top:1px solid #818181 !important;"></td>

												

												

												<td class="text-center" style="padding:5px;  border-top:1px solid #818181 !important;"> <?php echo round($row['tot_amt'], 2); ?></td>

											</tr>

										</table>	

									</td>

								</tr>

								<tr>

									<td colspan="2" style="padding:5px;">

										Amount In Words: <?php echo $row['sum_words']; ?>

										<span style="float:right; font-weight:700; ">Total : <?php echo round($row['tot_amt'], 2); ?> </span>										

									</td>

								</tr>				

																

								<tr>

									<td style="padding:5px; border-right: none !important;">

										<?php /*?><u>Declaration</u><br>

										<?php echo $row['declaration']; ?><?php */?>

									</td>

									<td style="padding:5px; border-left: none !important; text-align:center ">

										<span ><i>For  <?php echo $row['company']; ?></i></span><br><br><br>

										<span>Authorised Signatory</span>

									</td>

								</tr>

								

								

								

							</table>

							

						</div>

						

						<div style="width:100%; text-align:center; float:left; margin-bottom:15px; ">

							<a class="btn btn-danger btn-xs" onClick="printDiv('fullWidth');" style="color:#fff; ">Print</a>

							

						</div>

						

			  		</div>

				</div>

		  	</div>

		</div>

	</div>

	  

  	<?php include_once("../include/footer.php"); ?>

</div>



<script src="<?php echo ROOT ?>/dist/js/jquery.min.js"></script> 

<script src="<?php echo ROOT ?>/dist/bootstrap/js/bootstrap.min.js"></script> 

<script src="<?php echo ROOT ?>/dist/js/adminkit.js"></script>

<script src="<?php echo ROOT ?>/dist/plugins/formwizard/jquery-steps.js"></script> 

<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.16.0/jquery.validate.min.js"></script> 



<script>

	function printDiv(divID) {

		var divElements = document.getElementById(divID).innerHTML;

		var oldPage = document.body.innerHTML;

		document.body.innerHTML = 

		  "<html><head><title></title></head><body>" + 

		  divElements + "</body>";

		window.print();

		document.body.innerHTML = oldPage;

	}

</script>







</body>

</html>

